# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

* [`secure_linux_cis`](#secure_linux_cis): CIS Red Hat Enterprise Linux 7 Benchmark
* [`secure_linux_cis::distribution::centos7`](#secure_linux_ciscentos7): This wrapper class declares CIS controls for the CentOS Linux 7 Benchmark v2.2.0. Most of the classes are inherited from the
* [`secure_linux_cis::distribution::centos7::cis_6_1_10`](#secure_linux_ciscentos7cis_6_1_10): 6.1.10 Ensure no world writable files exist (Scored)
* [`secure_linux_cis::redhat7`](#secure_linux_cisredhat7): This wrapper class declares CIS controls for the RedHat Enterprise Linux 7 Benchmark v2.2.0
* [`secure_linux_cis::distribution::redhat7::cis_1_1_10`](#secure_linux_cisredhat7cis_1_1_10): 1.1.10 Ensure noexec option set on /var/tmp partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_11`](#secure_linux_cisredhat7cis_1_1_11): 1.1.11 Ensure separate partition exists for /var/log (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_12`](#secure_linux_cisredhat7cis_1_1_12): 1.1.12 Ensure separate partition exists for /var/log/audit (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_13`](#secure_linux_cisredhat7cis_1_1_13): 1.1.13 Ensure separate partition exists for /home (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_14`](#secure_linux_cisredhat7cis_1_1_14): 1.1.14 Ensure nodev option set on /home partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_15`](#secure_linux_cisredhat7cis_1_1_15): 1.1.15 Ensure nodev option set on /dev/shm partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_16`](#secure_linux_cisredhat7cis_1_1_16): 1.1.16 Ensure nosuid option set on /dev/shm partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_17`](#secure_linux_cisredhat7cis_1_1_17): 1.1.17 Ensure noexec option set on /dev/shm partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_18`](#secure_linux_cisredhat7cis_1_1_18): 1.1.18 Ensure nodev option set on removable media partitions (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_19`](#secure_linux_cisredhat7cis_1_1_19): 1.1.19 Ensure nosuid option set on removable media partitions (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_1`](#secure_linux_cisredhat7cis_1_1_1_1): 1.1.1.1 Ensure mounting of cramfs filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_2`](#secure_linux_cisredhat7cis_1_1_1_2): 1.1.1.2 Ensure mounting of freevxfs filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_3`](#secure_linux_cisredhat7cis_1_1_1_3): 1.1.1.3 Ensure mounting of jffs2 filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_4`](#secure_linux_cisredhat7cis_1_1_1_4): 1.1.1.4 Ensure mounting of hfs filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_5`](#secure_linux_cisredhat7cis_1_1_1_5): 1.1.1.5 Ensure mounting of hfsplus filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_6`](#secure_linux_cisredhat7cis_1_1_1_6): 1.1.1.6 Ensure mounting of squashfs filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_7`](#secure_linux_cisredhat7cis_1_1_1_7): 1.1.1.7 Ensure mounting of udf filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_1_8`](#secure_linux_cisredhat7cis_1_1_1_8): 1.1.1.8 Ensure mounting of FAT filesystems is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_2`](#secure_linux_cisredhat7cis_1_1_2): 1.1.2 Ensure separate partition exists for /tmp (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_20`](#secure_linux_cisredhat7cis_1_1_20): 1.1.20 Ensure noexec option set on removable media partitions (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_21`](#secure_linux_cisredhat7cis_1_1_21): 1.1.21 Ensure sticky bit is set on all world-writable directories (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_22`](#secure_linux_cisredhat7cis_1_1_22): 1.1.22 Disable Automounting (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_3`](#secure_linux_cisredhat7cis_1_1_3): 1.1.3 Ensure nodev option set on /tmp partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_4`](#secure_linux_cisredhat7cis_1_1_4): 1.1.4 Ensure nosuid option set on /tmp partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_5`](#secure_linux_cisredhat7cis_1_1_5): 1.1.5 Ensure noexec option set on /tmp partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_6`](#secure_linux_cisredhat7cis_1_1_6): 1.1.6 Ensure separate partition exists for /var (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_7`](#secure_linux_cisredhat7cis_1_1_7): 1.1.7 Ensure separate partition exists for /var/tmp (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_8`](#secure_linux_cisredhat7cis_1_1_8): 1.1.8 Ensure nodev option set on /var/tmp partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_1_9`](#secure_linux_cisredhat7cis_1_1_9): 1.1.9 Ensure nosuid option set on /var/tmp partition (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_2_1`](#secure_linux_cisredhat7cis_1_2_1): 1.2.1 Ensure package manager repositories are configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_2_2`](#secure_linux_cisredhat7cis_1_2_2): 1.2.2 Ensure gpgcheck is globally activated (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_2_3`](#secure_linux_cisredhat7cis_1_2_3): 1.2.3 Ensure GPG keys are configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_2_4`](#secure_linux_cisredhat7cis_1_2_4): 1.2.4 Ensure Red Hat Subscription Manager connection is configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_2_5`](#secure_linux_cisredhat7cis_1_2_5): 1.2.5 Disable the rhnsd Daemon (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_3_1`](#secure_linux_cisredhat7cis_1_3_1): 1.3.1 Ensure AIDE is installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_3_2`](#secure_linux_cisredhat7cis_1_3_2): 1.3.2 Ensure filesystem integrity is regularly checked (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_4_1`](#secure_linux_cisredhat7cis_1_4_1): 1.4.1 Ensure permissions on bootloader config are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_4_2`](#secure_linux_cisredhat7cis_1_4_2): 1.4.2 Ensure bootloader password is set (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_4_3`](#secure_linux_cisredhat7cis_1_4_3): 1.4.3 Ensure authentication required for single user mode (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_5_1`](#secure_linux_cisredhat7cis_1_5_1): 1.5.1 Ensure core dumps are restricted (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_5_2`](#secure_linux_cisredhat7cis_1_5_2): 1.5.2 Ensure XD/NX support is enabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_5_3`](#secure_linux_cisredhat7cis_1_5_3): 1.5.3 Ensure address space layout randomization (ASLR) is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_5_4`](#secure_linux_cisredhat7cis_1_5_4): 1.5.4 Ensure prelink is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_1_1`](#secure_linux_cisredhat7cis_1_6_1_1): 1.6.1.1 Ensure SELinux is not disabled in bootloader configuration (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_1_2`](#secure_linux_cisredhat7cis_1_6_1_2): 1.6.1.2 Ensure the SELinux state is enforcing (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_1_3`](#secure_linux_cisredhat7cis_1_6_1_3): 1.6.1.3 Ensure SELinux policy is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_1_4`](#secure_linux_cisredhat7cis_1_6_1_4): 1.6.1.4 Ensure SETroubleshoot is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_1_5`](#secure_linux_cisredhat7cis_1_6_1_5): 1.6.1.5 Ensure the MCS Translation Service (mcstrans) is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_1_6`](#secure_linux_cisredhat7cis_1_6_1_6): 1.6.1.6 Ensure no unconfined daemons exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_6_2`](#secure_linux_cisredhat7cis_1_6_2): 1.6.2 Ensure SELinux is installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_1_1`](#secure_linux_cisredhat7cis_1_7_1_1): 1.7.1.1 Ensure message of the day is configured properly (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_1_2`](#secure_linux_cisredhat7cis_1_7_1_2): 1.7.1.2 Ensure local login warning banner is configured properly (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_1_3`](#secure_linux_cisredhat7cis_1_7_1_3): 1.7.1.3 Ensure remote login warning banner is configured properly (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_1_4`](#secure_linux_cisredhat7cis_1_7_1_4): 1.7.1.4 Ensure permissions on /etc/motd are configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_1_5`](#secure_linux_cisredhat7cis_1_7_1_5): 1.7.1.5 Ensure permissions on /etc/issue are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_1_6`](#secure_linux_cisredhat7cis_1_7_1_6): 1.7.1.6 Ensure permissions on /etc/issue.net are configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_7_2`](#secure_linux_cisredhat7cis_1_7_2): 1.7.2 Ensure GDM login banner is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_1_8`](#secure_linux_cisredhat7cis_1_8): 1.8 Ensure updates, patches, and additional security software are installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_1`](#secure_linux_cisredhat7cis_2_1_1): 2.1.1 Ensure chargen services are not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_2`](#secure_linux_cisredhat7cis_2_1_2): 2.1.2 Ensure daytime services are not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_3`](#secure_linux_cisredhat7cis_2_1_3): 2.1.3 Ensure discard services are not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_4`](#secure_linux_cisredhat7cis_2_1_4): 2.1.4 Ensure echo services are not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_5`](#secure_linux_cisredhat7cis_2_1_5): 2.1.5 Ensure time services are not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_6`](#secure_linux_cisredhat7cis_2_1_6): 2.1.6 Ensure tftp server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_1_7`](#secure_linux_cisredhat7cis_2_1_7): 2.1.7 Ensure xinetd is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_10`](#secure_linux_cisredhat7cis_2_2_10): 2.2.10 Ensure HTTP server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_11`](#secure_linux_cisredhat7cis_2_2_11): 2.2.11 Ensure IMAP and POP3 server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_12`](#secure_linux_cisredhat7cis_2_2_12): 2.2.12 Ensure Samba is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_13`](#secure_linux_cisredhat7cis_2_2_13): 2.2.13 Ensure HTTP Proxy Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_14`](#secure_linux_cisredhat7cis_2_2_14): 2.2.14 Ensure SNMP Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_15`](#secure_linux_cisredhat7cis_2_2_15): 2.2.15 Ensure mail transfer agent is configured for local-only mode (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_16`](#secure_linux_cisredhat7cis_2_2_16): 2.2.16 Ensure NIS Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_17`](#secure_linux_cisredhat7cis_2_2_17): 2.2.17 Ensure rsh server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_18`](#secure_linux_cisredhat7cis_2_2_18): 2.2.18 Ensure talk server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_19`](#secure_linux_cisredhat7cis_2_2_19): 2.2.19 Ensure telnet server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_1_1`](#secure_linux_cisredhat7cis_2_2_1_1): 2.2.1.1 Ensure time synchronization is in use (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_1_2`](#secure_linux_cisredhat7cis_2_2_1_2): 2.2.1.2 Ensure ntp is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_1_3`](#secure_linux_cisredhat7cis_2_2_1_3): 2.2.1.3 Ensure chrony is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_2`](#secure_linux_cisredhat7cis_2_2_2): 2.2.2 Ensure X Window System is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_20`](#secure_linux_cisredhat7cis_2_2_20): 2.2.20 Ensure tftp server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_21`](#secure_linux_cisredhat7cis_2_2_21): 2.2.21 Ensure rsync service is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_3`](#secure_linux_cisredhat7cis_2_2_3): 2.2.3 Ensure Avahi Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_4`](#secure_linux_cisredhat7cis_2_2_4): 2.2.4 Ensure CUPS is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_5`](#secure_linux_cisredhat7cis_2_2_5): 2.2.5 Ensure DHCP Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_6`](#secure_linux_cisredhat7cis_2_2_6): 2.2.6 Ensure LDAP server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_7`](#secure_linux_cisredhat7cis_2_2_7): 2.2.7 Ensure NFS and RPC are not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_8`](#secure_linux_cisredhat7cis_2_2_8): 2.2.8 Ensure DNS Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_2_9`](#secure_linux_cisredhat7cis_2_2_9): 2.2.9 Ensure FTP Server is not enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_3_1`](#secure_linux_cisredhat7cis_2_3_1): 2.3.1 Ensure NIS Client is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_3_2`](#secure_linux_cisredhat7cis_2_3_2): 2.3.2 Ensure rsh client is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_3_3`](#secure_linux_cisredhat7cis_2_3_3): 2.3.3 Ensure talk client is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_3_4`](#secure_linux_cisredhat7cis_2_3_4): 2.3.4 Ensure telnet client is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_2_3_5`](#secure_linux_cisredhat7cis_2_3_5): 2.3.5 Ensure LDAP client is not installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_1_1`](#secure_linux_cisredhat7cis_3_1_1): 3.1.1 Ensure IP forwarding is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_1_2`](#secure_linux_cisredhat7cis_3_1_2): 3.1.2 Ensure packet redirect sending is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_1`](#secure_linux_cisredhat7cis_3_2_1): 3.2.1 Ensure source routed packets are not accepted (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_2`](#secure_linux_cisredhat7cis_3_2_2): 3.2.2 Ensure ICMP redirects are not accepted (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_3`](#secure_linux_cisredhat7cis_3_2_3): 3.2.3 Ensure secure ICMP redirects are not accepted (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_4`](#secure_linux_cisredhat7cis_3_2_4): 3.2.4 Ensure suspicious packets are logged (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_5`](#secure_linux_cisredhat7cis_3_2_5): 3.2.5 Ensure broadcast ICMP requests are ignored (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_6`](#secure_linux_cisredhat7cis_3_2_6): 3.2.6 Ensure bogus ICMP responses are ignored (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_7`](#secure_linux_cisredhat7cis_3_2_7): 3.2.7 Ensure Reverse Path Filtering is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_2_8`](#secure_linux_cisredhat7cis_3_2_8): 3.2.8 Ensure TCP SYN Cookies is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_3_1`](#secure_linux_cisredhat7cis_3_3_1): 3.3.1 Ensure IPv6 router advertisements are not accepted (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_3_2`](#secure_linux_cisredhat7cis_3_3_2): 3.3.2 Ensure IPv6 redirects are not accepted (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_3_3`](#secure_linux_cisredhat7cis_3_3_3): 3.3.3 Ensure IPv6 is disabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_4_1`](#secure_linux_cisredhat7cis_3_4_1): 3.4.1 Ensure TCP Wrappers is installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_4_2`](#secure_linux_cisredhat7cis_3_4_2): 3.4.2 Ensure /etc/hosts.allow is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_4_3`](#secure_linux_cisredhat7cis_3_4_3): 3.4.3 Ensure /etc/hosts.deny is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_4_4`](#secure_linux_cisredhat7cis_3_4_4): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_3_4_5`](#secure_linux_cisredhat7cis_3_4_5): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_3_5_1`](#secure_linux_cisredhat7cis_3_5_1): 3.5.1 Ensure DCCP is disabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_5_2`](#secure_linux_cisredhat7cis_3_5_2): 3.5.2 Ensure SCTP is disabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_5_3`](#secure_linux_cisredhat7cis_3_5_3): 3.5.3 Ensure RDS is disabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_5_4`](#secure_linux_cisredhat7cis_3_5_4): 3.5.4 Ensure TIPC is disabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_6_1`](#secure_linux_cisredhat7cis_3_6_1): 3.6.1 Ensure iptables is installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_6_2`](#secure_linux_cisredhat7cis_3_6_2): 3.6.2 Ensure default deny firewall policy (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_6_3`](#secure_linux_cisredhat7cis_3_6_3): 3.6.3 Ensure loopback traffic is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_6_4`](#secure_linux_cisredhat7cis_3_6_4): 3.6.4 Ensure outbound and established connections are configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_6_5`](#secure_linux_cisredhat7cis_3_6_5): 3.6.5 Ensure firewall rules exist for all open ports (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_3_7`](#secure_linux_cisredhat7cis_3_7): 3.7 Ensure wireless interfaces are disabled (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_10`](#secure_linux_cisredhat7cis_4_1_10): 4.1.10 Ensure discretionary access control permission modification events are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_11`](#secure_linux_cisredhat7cis_4_1_11): 4.1.11 Ensure unsuccessful unauthorized file access attempts are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_12`](#secure_linux_cisredhat7cis_4_1_12): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_4_1_13`](#secure_linux_cisredhat7cis_4_1_13): 4.1.13 Ensure successful file system mounts are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_14`](#secure_linux_cisredhat7cis_4_1_14): 4.1.14 Ensure file deletion events by users are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_15`](#secure_linux_cisredhat7cis_4_1_15): 4.1.15 Ensure changes to system administration scope (sudoers) is collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_16`](#secure_linux_cisredhat7cis_4_1_16): 4.1.16 Ensure system administrator actions (sudolog) are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_17`](#secure_linux_cisredhat7cis_4_1_17): 4.1.17 Ensure kernel module loading and unloading is collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_18`](#secure_linux_cisredhat7cis_4_1_18): 4.1.18 Ensure the audit configuration is immutable (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_1_1`](#secure_linux_cisredhat7cis_4_1_1_1): 4.1.1.1 Ensure audit log storage size is configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_1_2`](#secure_linux_cisredhat7cis_4_1_1_2): 4.1.1.2 Ensure system is disabled when audit logs are full (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_1_3`](#secure_linux_cisredhat7cis_4_1_1_3): 4.1.1.3 Ensure audit logs are not automatically deleted (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_2`](#secure_linux_cisredhat7cis_4_1_2): 4.1.2 Ensure auditd service is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_3`](#secure_linux_cisredhat7cis_4_1_3): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_4_1_4`](#secure_linux_cisredhat7cis_4_1_4): 4.1.4 Ensure events that modify date and time information are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_5`](#secure_linux_cisredhat7cis_4_1_5): 4.1.5 Ensure events that modify user/group information are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_6`](#secure_linux_cisredhat7cis_4_1_6): 4.1.6 Ensure events that modify the system's network environment are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_7`](#secure_linux_cisredhat7cis_4_1_7): 4.1.7 Ensure events that modify the system's Mandatory Access Controls are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_8`](#secure_linux_cisredhat7cis_4_1_8): 4.1.8 Ensure login and logout events are collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_1_9`](#secure_linux_cisredhat7cis_4_1_9): 4.1.9 Ensure session initiation information is collected (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_1_1`](#secure_linux_cisredhat7cis_4_2_1_1): 4.2.1.1 Ensure rsyslog Service is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_1_2`](#secure_linux_cisredhat7cis_4_2_1_2): 4.2.1.2 Ensure logging is configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_1_3`](#secure_linux_cisredhat7cis_4_2_1_3): 4.2.1.3 Ensure rsyslog default file permissions configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_1_4`](#secure_linux_cisredhat7cis_4_2_1_4): 4.2.1.4 Ensure rsyslog is configured to send logs to a remote log host (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_1_5`](#secure_linux_cisredhat7cis_4_2_1_5): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_4_2_2_1`](#secure_linux_cisredhat7cis_4_2_2_1): 4.2.2.1 Ensure syslog-ng service is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_2_2`](#secure_linux_cisredhat7cis_4_2_2_2): 4.2.2.2 Ensure logging is configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_2_3`](#secure_linux_cisredhat7cis_4_2_2_3): 4.2.2.3 Ensure syslog-ng default file permissions configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_2_4`](#secure_linux_cisredhat7cis_4_2_2_4): 4.2.2.4 Ensure syslog-ng is configured to send logs to a remote log host (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_2_5`](#secure_linux_cisredhat7cis_4_2_2_5): 4.2.2.5 Ensure remote syslog-ng messages are only accepted on designated log hosts (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_3`](#secure_linux_cisredhat7cis_4_2_3): 4.2.3 Ensure rsyslog or syslog-ng is installed (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_4_2_4`](#secure_linux_cisredhat7cis_4_2_4): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_4_3`](#secure_linux_cisredhat7cis_4_3): 4.3 Ensure logrotate is configured (Not Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_1`](#secure_linux_cisredhat7cis_5_1_1): 5.1.1 Ensure cron daemon is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_2`](#secure_linux_cisredhat7cis_5_1_2): 5.1.2 Ensure permissions on /etc/crontab are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_3`](#secure_linux_cisredhat7cis_5_1_3): 5.1.3 Ensure permissions on /etc/cron.hourly are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_4`](#secure_linux_cisredhat7cis_5_1_4): 5.1.4 Ensure permissions on /etc/cron.daily are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_5`](#secure_linux_cisredhat7cis_5_1_5): 5.1.5 Ensure permissions on /etc/cron.weekly are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_6`](#secure_linux_cisredhat7cis_5_1_6): 5.1.6 Ensure permissions on /etc/cron.monthly are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_7`](#secure_linux_cisredhat7cis_5_1_7): 5.1.7 Ensure permissions on /etc/cron.d are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_1_8`](#secure_linux_cisredhat7cis_5_1_8): 5.1.8 Ensure at/cron is restricted to authorized users (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_1`](#secure_linux_cisredhat7cis_5_2_1): 5.2.1 Ensure permissions on /etc/ssh/sshd_config are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_10`](#secure_linux_cisredhat7cis_5_2_10): 5.2.10 Ensure SSH PermitUserEnvironment is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_11`](#secure_linux_cisredhat7cis_5_2_11): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_5_2_12`](#secure_linux_cisredhat7cis_5_2_12): 5.2.12 Ensure SSH Idle Timeout Interval is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_13`](#secure_linux_cisredhat7cis_5_2_13): 5.2.13 Ensure SSH LoginGraceTime is set to one minute or less (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_14`](#secure_linux_cisredhat7cis_5_2_14): 5.2.14 Ensure SSH access is limited (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_15`](#secure_linux_cisredhat7cis_5_2_15): 5.2.15 Ensure SSH warning banner is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_2`](#secure_linux_cisredhat7cis_5_2_2): 5.2.2 Ensure SSH Protocol is set to 2 (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_3`](#secure_linux_cisredhat7cis_5_2_3): 5.2.3 Ensure SSH LogLevel is set to INFO (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_4`](#secure_linux_cisredhat7cis_5_2_4): 5.2.4 Ensure SSH X11 forwarding is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_5`](#secure_linux_cisredhat7cis_5_2_5): 5.2.5 Ensure SSH MaxAuthTries is set to 4 or less (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_6`](#secure_linux_cisredhat7cis_5_2_6): 5.2.6 Ensure SSH IgnoreRhosts is enabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_7`](#secure_linux_cisredhat7cis_5_2_7): 5.2.7 Ensure SSH HostbasedAuthentication is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_8`](#secure_linux_cisredhat7cis_5_2_8): 5.2.8 Ensure SSH root login is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_2_9`](#secure_linux_cisredhat7cis_5_2_9): 5.2.9 Ensure SSH PermitEmptyPasswords is disabled (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_3_1`](#secure_linux_cisredhat7cis_5_3_1): 5.3.1 Ensure password creation requirements are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_3_2`](#secure_linux_cisredhat7cis_5_3_2): 5.3.2 Ensure lockout for failed password attempts is configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_3_3`](#secure_linux_cisredhat7cis_5_3_3): 5.3.3 Ensure password reuse is limited (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_3_4`](#secure_linux_cisredhat7cis_5_3_4): A short summary of the purpose of this class
* [`secure_linux_cis::distribution::redhat7::cis_5_4_1_1`](#secure_linux_cisredhat7cis_5_4_1_1): 5.4.1.1 Ensure password expiration is 365 days or less (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_1_2`](#secure_linux_cisredhat7cis_5_4_1_2): 5.4.1.2 Ensure minimum days between password changes is 7 or more (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_1_3`](#secure_linux_cisredhat7cis_5_4_1_3): 5.4.1.3 Ensure password expiration warning days is 7 or more (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_1_4`](#secure_linux_cisredhat7cis_5_4_1_4): 5.4.1.4 Ensure inactive password lock is 30 days or less (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_1_5`](#secure_linux_cisredhat7cis_5_4_1_5): 5.4.1.5 Ensure all users last password change date is in the past (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_2`](#secure_linux_cisredhat7cis_5_4_2): 5.4.2 Ensure system accounts are non-login (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_3`](#secure_linux_cisredhat7cis_5_4_3): 5.4.3 Ensure default group for the root account is GID 0 (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_4`](#secure_linux_cisredhat7cis_5_4_4): 5.4.4 Ensure default user umask is 027 or more restrictive (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_5_4_5`](#secure_linux_cisredhat7cis_5_4_5): The TMOUT parameter has been added in 5_4_4
* [`secure_linux_cis::distribution::redhat7::cis_5_6`](#secure_linux_cisredhat7cis_5_6): 5.6 Ensure access to the su command is restricted (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_10`](#secure_linux_cisredhat7cis_6_1_10): 6.1.10 Ensure no world writable files exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_11`](#secure_linux_cisredhat7cis_6_1_11): 6.1.11 Ensure no unowned files or directories exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_12`](#secure_linux_cisredhat7cis_6_1_12): 6.1.12 Ensure no ungrouped files or directories exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_2`](#secure_linux_cisredhat7cis_6_1_2): 6.1.2 Ensure permissions on /etc/passwd are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_3`](#secure_linux_cisredhat7cis_6_1_3): 6.1.3 Ensure permissions on /etc/shadow are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_4`](#secure_linux_cisredhat7cis_6_1_4): 6.1.4 Ensure permissions on /etc/group are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_5`](#secure_linux_cisredhat7cis_6_1_5): 6.1.5 Ensure permissions on /etc/gshadow are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_6`](#secure_linux_cisredhat7cis_6_1_6): 6.1.6 Ensure permissions on /etc/passwd- are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_7`](#secure_linux_cisredhat7cis_6_1_7): 6.1.7 Ensure permissions on /etc/shadow- are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_8`](#secure_linux_cisredhat7cis_6_1_8): 6.1.8 Ensure permissions on /etc/group- are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_1_9`](#secure_linux_cisredhat7cis_6_1_9): 6.1.9 Ensure permissions on /etc/gshadow- are configured (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_1`](#secure_linux_cisredhat7cis_6_2_1): 6.2.1 Ensure password fields are not empty (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_10`](#secure_linux_cisredhat7cis_6_2_10): 6.2.10 Ensure users' dot files are not group or world writable (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_11`](#secure_linux_cisredhat7cis_6_2_11): 6.2.11 Ensure no users have .forward files (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_12`](#secure_linux_cisredhat7cis_6_2_12): 6.2.12 Ensure no users have .netrc files (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_13`](#secure_linux_cisredhat7cis_6_2_13): 6.2.13 Ensure users' .netrc Files are not group or world accessible
* [`secure_linux_cis::distribution::redhat7::cis_6_2_14`](#secure_linux_cisredhat7cis_6_2_14): 6.2.14 Ensure no users have .rhosts files (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_15`](#secure_linux_cisredhat7cis_6_2_15): 6.2.15 Ensure all groups in /etc/passwd exist in /etc/group (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_16`](#secure_linux_cisredhat7cis_6_2_16): 6.2.16 Ensure no duplicate UIDs exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_17`](#secure_linux_cisredhat7cis_6_2_17): 6.2.17 Ensure no duplicate GIDs exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_18`](#secure_linux_cisredhat7cis_6_2_18): 6.2.18 Ensure no duplicate user names exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_19`](#secure_linux_cisredhat7cis_6_2_19): 6.2.19 Ensure no duplicate group names exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_2`](#secure_linux_cisredhat7cis_6_2_2): 6.2.2 Ensure no legacy "+" entries exist in /etc/passwd (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_3`](#secure_linux_cisredhat7cis_6_2_3): 6.2.3 Ensure no legacy "+" entries exist in /etc/shadow (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_4`](#secure_linux_cisredhat7cis_6_2_4): 6.2.4 Ensure no legacy "+" entries exist in /etc/group (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_5`](#secure_linux_cisredhat7cis_6_2_5): 6.2.5 Ensure root is the only UID 0 account (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_6`](#secure_linux_cisredhat7cis_6_2_6): 6.2.6 Ensure root PATH Integrity (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_7`](#secure_linux_cisredhat7cis_6_2_7): 6.2.7 Ensure all users' home directories exist (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_8`](#secure_linux_cisredhat7cis_6_2_8): 6.2.8 Ensure users' home directories permissions are 750 or more restrictive (Scored)
* [`secure_linux_cis::distribution::redhat7::cis_6_2_9`](#secure_linux_cisredhat7cis_6_2_9): 6.2.9 Ensure users own their home directories (Scored)

**Defined types**

* [`secure_linux_cis::mount_options`](#secure_linux_cismount_options): Check and fix a mount with a single option

## Classes

### secure_linux_cis

CIS Red Hat Enterprise Linux 7 Benchmark

#### Examples

##### 

```puppet
include secure_linux_cis
```

#### Parameters

The following parameters are available in the `secure_linux_cis` class.

##### `time_servers`

Data type: `Array[String]`

Array of valid NTP Time servers

Default value: []

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `logging_host`

Data type: `String`

Which host should logging be sent to

Default value: ''

##### `is_logging_host`

Data type: `Boolean`

Is this host a logging host

Default value: `false`

##### `max_log_file`

Data type: `Integer`

Maximum log file

Default value: 8

##### `max_auth_tries`

Data type: `Enum['1', '2', '3', '4']`

How many authorization attempts to allow

Default value: '4'

##### `time_sync`

Data type: `Enum['ntp', 'chrony', 'none']`

Which NTP program to use

Default value: 'none'

##### `ipv6_enabled`

Data type: `Boolean`

Should ipv6 be enabled

Default value: `false`

##### `approved_mac_algorithms`

Data type: `Array`

Which algorigthms are approved for use

Default value: ['hmac-sha2-512-etm@openssh.com','hmac-sha2-256-etm@openssh.com','umac-128-etm@openssh.com',
                                    'hmac-sha2-512','hmac-sha2-256','umac-128@openssh.com']

##### `client_alive_interval`

Data type: `Integer`

Client alive interval to use

Default value: 300

##### `client_alive_count_max`

Data type: `Enum['0','1','2','3']`

Maximum specificed client alive count

Default value: '0'

##### `login_grace_time`

Data type: `Integer`

Login grace time

Default value: 60

##### `allow_users`

Data type: `Array[String]`

Which users to allow

Default value: []

##### `allow_groups`

Data type: `Array[String]`

Which groups to allow

Default value: []

##### `deny_users`

Data type: `Array[String]`

Which users to deny

Default value: []

##### `deny_groups`

Data type: `Array[String]`

Which groups to deny

Default value: []

##### `minlen`

Data type: `Integer`

Minimum length

Default value: 14

##### `dcredit`

Data type: `Integer`

D Credit

Default value: -

##### `ucredit`

Data type: `Integer`

U Credit

Default value: -

##### `ocredit`

Data type: `Integer`

O Credit

Default value: -

##### `lcredit`

Data type: `Integer`

L Credit

Default value: -

##### `attempts`

Data type: `Integer`

Number of attempts

Default value: 5

##### `lockout_time`

Data type: `Integer`

Amount of time for lockout

Default value: 900

##### `past_passwords`

Data type: `Integer`

Number of previous passwords

Default value: 5

##### `pass_max_days`

Data type: `Integer`

Password maximum days

Default value: 90

##### `pass_min_days`

Data type: `Integer`

Password minimum days

Default value: 7

##### `pass_warn_days`

Data type: `Integer`

Password warning days

Default value: 7

##### `repolist`

Data type: `Array`

List of acceptable software repos

Default value: ['updates/7/x86_64','rhel-7-server-rpms/7Server/x86_64']

### secure_linux_cis::distribution::centos7

This is a wrapper class that declares the CIS controls for CentOS Linux 7

The CentOS Linux 7 CIS Benchmark is updated for version: 2.2.0

The benchmark can be found here:
https://downloads.cisecurity.org/

redhat7 manifest, as the two have nearly identical benchmarks

#### Examples

##### 

```puppet
include secure_linux_cis::redhat7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::centos7` class.

##### `time_servers`

Data type: `Array[String]`

Array of valid NTP Time servers

Default value: []

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `logging_host`

Data type: `String`

Which host should logging be sent to

Default value: ''

##### `is_logging_host`

Data type: `Boolean`

Is this host a logging host

Default value: `false`

##### `max_log_file`

Data type: `Integer`

Maximum log file

Default value: 8

##### `max_auth_tries`

Data type: `Enum['1', '2', '3', '4']`

How many authorization attempts to allow

Default value: '4'

##### `time_sync`

Data type: `Enum['ntp', 'chrony', 'none']`

Which NTP program to use

Default value: 'ntp'

##### `ipv6_enabled`

Data type: `Boolean`

Should ipv6 be enabled

Default value: `false`

##### `approved_mac_algorithms`

Data type: `Array`

Which algorigthms are approved for use

Default value: ['hmac-sha2-512-etm@openssh.com','hmac-sha2-256-etm@openssh.com','umac-128-etm@openssh.com', #lint:ignore:140chars
                                                  'hmac-sha2-512','hmac-sha2-256','umac-128@openssh.com']

##### `client_alive_interval`

Data type: `Integer`

Client alive interval to use

Default value: 300

##### `client_alive_count_max`

Data type: `Enum['0','1','2','3']`

Maximum specificed client alive count

Default value: '0'

##### `login_grace_time`

Data type: `Integer`

Login grace time

Default value: 60

##### `allow_users`

Data type: `Array[String]`

Which users to allow

Default value: []

##### `allow_groups`

Data type: `Array[String]`

Which groups to allow

Default value: []

##### `deny_users`

Data type: `Array[String]`

Which users to deny

Default value: []

##### `deny_groups`

Data type: `Array[String]`

Which groups to deny

Default value: []

##### `minlen`

Data type: `Integer`

Minimum length

Default value: 14

##### `dcredit`

Data type: `Integer`

D Credit

Default value: -

##### `ucredit`

Data type: `Integer`

U Credit

Default value: -

##### `ocredit`

Data type: `Integer`

O Credit

Default value: -

##### `lcredit`

Data type: `Integer`

L Credit

Default value: -

##### `attempts`

Data type: `Integer`

Number of attempts

Default value: 5

##### `lockout_time`

Data type: `Integer`

Amount of time for lockout

Default value: 900

##### `past_passwords`

Data type: `Integer`

Number of previous passwords

Default value: 5

##### `pass_max_days`

Data type: `Integer`

Password maximum days

Default value: 90

##### `pass_min_days`

Data type: `Integer`

Password minimum days

Default value: 7

##### `pass_warn_days`

Data type: `Integer`

Password warning days

Default value: 7

##### `repolist`

Data type: `Array`

List of acceptable software repos

Default value: ['updates/7/x86_64']

##### `motd`

Data type: `Optional[String]`

Optional content of /etc/motd.  Falls back to optional value of $banner if not defined

Default value: undef

##### `banner`

Data type: `Optional[String]`

Content of /etc/issue and /etc/issue.net

Default value: `undef`

##### `auto_restart`

Data type: `Boolean`

Restart when defined classes make changes that require a reboot to take effect

Default value: `false`

### secure_linux_cis::distribution::centos7::cis_6_1_10

6.1.10 Ensure no world writable files exist (Scored)

Description:
Unix-based systems support variable settings to control access to files. World writable files are the least secure. See the chmod(2)
man page for more information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::centos7::cis_6_1_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::redhat7

This is a wrapper class that declares the CIS controls for RedHat Enterprise Linux 7

The RedHat 7 CIS Benchmark is updated for version: 2.2.0

The benchmark can be found here:
https://downloads.cisecurity.org/

#### Examples

##### 

```puppet
include secure_linux_cis::redhat7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::redhat7` class.

##### `time_servers`

Data type: `Array[String]`

Array of valid NTP Time servers

Default value: []

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `logging_host`

Data type: `String`

Which host should logging be sent to

Default value: ''

##### `is_logging_host`

Data type: `Boolean`

Is this host a logging host

Default value: `false`

##### `max_log_file`

Data type: `Integer`

Maximum log file

Default value: 8

##### `max_auth_tries`

Data type: `Enum['1', '2', '3', '4']`

How many authorization attempts to allow

Default value: '4'

##### `time_sync`

Data type: `Enum['ntp', 'chrony', 'none']`

Which NTP program to use

Default value: 'ntp'

##### `ipv6_enabled`

Data type: `Boolean`

Should ipv6 be enabled

Default value: `false`

##### `approved_mac_algorithms`

Data type: `Array`

Which algorigthms are approved for use

Default value: ['hmac-sha2-512-etm@openssh.com','hmac-sha2-256-etm@openssh.com','umac-128-etm@openssh.com', #lint:ignore:140chars
                                                  'hmac-sha2-512','hmac-sha2-256','umac-128@openssh.com']

##### `client_alive_interval`

Data type: `Integer`

Client alive interval to use

Default value: 300

##### `client_alive_count_max`

Data type: `Enum['0','1','2','3']`

Maximum specificed client alive count

Default value: '0'

##### `login_grace_time`

Data type: `Integer`

Login grace time

Default value: 60

##### `allow_users`

Data type: `Array[String]`

Which users to allow

Default value: []

##### `allow_groups`

Data type: `Array[String]`

Which groups to allow

Default value: []

##### `deny_users`

Data type: `Array[String]`

Which users to deny

Default value: []

##### `deny_groups`

Data type: `Array[String]`

Which groups to deny

Default value: []

##### `minlen`

Data type: `Integer`

Minimum length

Default value: 14

##### `dcredit`

Data type: `Integer`

D Credit

Default value: -

##### `ucredit`

Data type: `Integer`

U Credit

Default value: -

##### `ocredit`

Data type: `Integer`

O Credit

Default value: -

##### `lcredit`

Data type: `Integer`

L Credit

Default value: -

##### `attempts`

Data type: `Integer`

Number of attempts

Default value: 5

##### `lockout_time`

Data type: `Integer`

Amount of time for lockout

Default value: 900

##### `past_passwords`

Data type: `Integer`

Number of previous passwords

Default value: 5

##### `pass_max_days`

Data type: `Integer`

Password maximum days

Default value: 90

##### `pass_min_days`

Data type: `Integer`

Password minimum days

Default value: 7

##### `pass_warn_days`

Data type: `Integer`

Password warning days

Default value: 7

##### `pass_inactive_days`

Data type: `Integer`

Password inactive days

Default value: 30

##### `repolist`

Data type: `Array`

List of acceptable software repos

Default value: ['rhel-7-server-rpms/7Server/x86_64']

##### `motd`

Data type: `Optional[String]`

Optional content of /etc/motd.  Falls back to optional value of $banner if not defined

Default value: undef

##### `banner`

Data type: `Optional[String]`

Content of /etc/issue and /etc/issue.net

Default value: `undef`

##### `auto_restart`

Data type: `Boolean`

Restart when defined classes make changes that require a reboot to take effect

Default value: `false`

### secure_linux_cis::distribution::redhat7::cis_1_1_10

1.1.10 Ensure noexec option set on /var/tmp partition (Scored)


Description:
The noexec mount option specifies that the filesystem cannot contain executable binaries.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_11

1.1.11 Ensure separate partition exists for /var/log (Scored)


Description:
The /var/log directory is used by system services to store log data

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_11
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_11` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_12

1.1.12 Ensure separate partition exists for /var/log/audit (Scored)

Description:
The auditing daemon, auditd , stores log data in the /var/log/audit directory.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_12
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_12` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_13

1.1.13 Ensure separate partition exists for /home (Scored)


Description:
The /home directory is used to support disk storage needs of local users.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_13
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_13` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_14

1.1.14 Ensure nodev option set on /home partition (Scored)


Description:
The nodev mount option specifies that the filesystem cannot contain special devices.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_14
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_14` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_15

1.1.15 Ensure nodev option set on /dev/shm partition (Scored)


Description:
The nodev mount option specifies that the filesystem cannot contain special devices.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_15
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_15` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_16

1.1.16 Ensure nosuid option set on /dev/shm partition (Scored)


Description:
The nosuid mount option specifies that the filesystem cannot contain setuid files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_16
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_16` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_17

1.1.17 Ensure noexec option set on /dev/shm partition (Scored)


Description:
The noexec mount option specifies that the filesystem cannot contain executable binaries.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_17
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_17` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_18

1.1.18 Ensure nodev option set on removable media partitions (Not Scored)


Description:
The nodev mount option specifies that the filesystem cannot contain special devices.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_18
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_18` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_19

1.1.19 Ensure nosuid option set on removable media partitions (Not Scored)


Description:
The nosuid mount option specifies that the filesystem cannot contain setuid files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_19
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_19` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_1

1.1.1.1 Ensure mounting of cramfs filesystems is disabled (Scored)

Description:
The cramfs filesystem type is a compressed read-only Linux filesystem embedded in small footprint systems.
A cramfs image can be used without having to first decompress the image.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the server.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_2

1.1.1.2 Ensure mounting of freevxfs filesystems is disabled (Scored)

Description:
The freevxfs filesystem type is a free version of the Veritas type filesystem.
This is the primary filesystem type for HP-UX operating systems.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_3

1.1.1.3 Ensure mounting of jffs2 filesystems is disabled (Scored)

Description:
The jffs2 (journaling flash filesystem 2) filesystem type is a log-structured filesystem used in flash memory devices.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_4

1.1.1.4 Ensure mounting of hfs filesystems is disabled (Scored)

Description:
The hfs filesystem type is a hierarchical filesystem that allows you to mount Mac OS filesystems.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_5

1.1.1.5 Ensure mounting of hfsplus filesystems is disabled (Scored)

Description:
The hfsplus filesystem type is a hierarchical filesystem designed to replace hfs that allows you to mount Mac OS filesystems.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_6

1.1.1.6 Ensure mounting of squashfs filesystems is disabled (Scored)

Description:
The squashfs filesystem type is a compressed read-only Linux filesystem embedded in small footprint systems (similar to cramfs ).
 A squashfs image can be used without having to first decompress the image.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_7

1.1.1.7 Ensure mounting of udf filesystems is disabled (Scored)

Description:
The udf filesystem type is the universal disk format used to implement ISO/IEC 13346 and ECMA-167 specifications.
This is an open vendor filesystem type for data storage on a broad range of media.
This filesystem type is necessary to support writing DVDs and newer optical disc formats.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_1_8

1.1.1.8 Ensure mounting of FAT filesystems is disabled (Scored)

Description:
The FAT filesystem format is primarily used on older windows systems and portable USB drives or flash modules.
It comes in three types FAT12 , FAT16 , and FAT32 all of which are supported by the vfat kernel module.

Rationale:
Removing support for unneeded filesystem types reduces the local attack surface of the system.
If this filesystem type is not needed, disable it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_1_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_1_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_2

1.1.2 Ensure separate partition exists for /tmp (Scored)


Description:
The /tmp directory is a world-writable directory used for temporary storage by all users and some applications.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_20

1.1.20 Ensure noexec option set on removable media partitions (Not Scored)


Description:
The noexec mount option specifies that the filesystem cannot contain executable binaries.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_20
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_20` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_21

1.1.21 Ensure sticky bit is set on all world-writable directories (Scored)


Description:
Setting the sticky bit on world writable directories prevents users from deleting or renaming files in that directory
that are not owned by them.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_21
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_21` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_22

1.1.22 Disable Automounting (Scored)


Description:
autofs allows automatic mounting of devices, typically including CD/DVDs and USB drives.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_22
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_22` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_3

1.1.3 Ensure nodev option set on /tmp partition (Scored)


Description:
The nodev mount option specifies that the filesystem cannot contain special devices.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_4

1.1.4 Ensure nosuid option set on /tmp partition (Scored)


Description:
The nosuid mount option specifies that the filesystem cannot contain setuid files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_5

1.1.5 Ensure noexec option set on /tmp partition (Scored)


Description:
The noexec mount option specifies that the filesystem cannot contain executable binaries.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_6

1.1.6 Ensure separate partition exists for /var (Scored)


Description:
The /var directory is used by daemons and other system services to temporarily store dynamic data. Some directories created by
these processes may be world-writable.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_7

1.1.7 Ensure separate partition exists for /var/tmp (Scored)


Description:
The /var/tmp directory is a world-writable directory used for temporary storage by all users and some applications.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_8

1.1.8 Ensure nodev option set on /var/tmp partition (Scored)


Description:
The nodev mount option specifies that the filesystem cannot contain special devices.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_1_9

1.1.9 Ensure nosuid option set on /var/tmp partition (Scored)


Description:
The nosuid mount option specifies that the filesystem cannot contain setuid files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_1_9
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_1_9` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_2_1

1.2.1 Ensure package manager repositories are configured (Not Scored)


Description:
Systems need to have package manager repositories configured to ensure they receive the latest patches and updates.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_2_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_2_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_2_2

1.2.2 Ensure gpgcheck is globally activated (Scored)


Description:
Most packages managers implement GPG key signing to verify package integrity during installation.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_2_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_2_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_2_3

1.2.3 Ensure GPG keys are configured (Not Scored)


Description:
The gpgcheck option, found in the main section of the /etc/yum.conf and individual /etc/yum/repos.d/*
files determines if an RPM package's signature is checked prior to its installation.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_2_4

1.2.4 Ensure Red Hat Subscription Manager connection is configured (Not Scored)


Description:
Systems need to be registered with the Red Hat Subscription Manager
(RHSM) to receive patch updates. This is usually configured during initial installation.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_2_5

1.2.5 Disable the rhnsd Daemon (Not Scored)


Description:
The rhnsd daemon polls the Red Hat Network web site for scheduled actions and, if there are, executes those actions.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_2_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_2_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_3_1

1.3.1 Ensure AIDE is installed (Scored)


Description:
AIDE takes a snapshot of filesystem state including modification times, permissions, and file hashes which can then be
used to compare against the current state of the filesystem to detect modifications to the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_3_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_3_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_3_2

1.3.2 Ensure filesystem integrity is regularly checked (Scored)


Description:
Periodic checking of the filesystem integrity is needed to detect changes to the filesystem.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_3_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_3_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_4_1

1.4.1 Ensure permissions on bootloader config are configured (Scored)


Description:
The grub configuration file contains information on boot settings and passwords for unlocking boot options.
The grub configuration is usually located at /boot/grub2/grub.cfg and linked as /etc/grub2.cfg. Additional settings can be found in the
/boot/grub2/user.cfg file.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_4_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_4_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_4_2

1.4.2 Ensure bootloader password is set (Scored)


Description:
Setting the boot loader password will require that anyone rebooting the system must enter a password
before being able to set command line boot parameters

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_4_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_4_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_4_3

1.4.3 Ensure authentication required for single user mode (Scored)


Description:
ingle user mode (rescue mode) is used for recovery when the system detects an issue during boot or by
manual selection from the bootloader.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_4_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_4_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_5_1

1.5.1 Ensure core dumps are restricted (Scored)


Description:
A core dump is the memory of an executable program. It is generally used to determine why a program aborted. It can
also be used to glean confidential information from a core file. The system provides the ability to set a soft limit for core dumps,
but this can be overridden by the user.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_5_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_5_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_5_2

1.5.2 Ensure XD/NX support is enabled (Not Scored)


Description:
Recent processors in the x86 family support the ability to prevent code execution on a per memory page basis.
Generically and on AMD processors, this ability is called No Execute (NX), while on Intel processors it is called Execute Disable (XD).
This ability can help prevent exploitation of buffer overflow vulnerabilities and should be activated whenever possible.
Extra steps must be taken to ensure that this protection is enabled, particularly on 32-bit x86 systems. Other processors, such
as # Itanium and POWER, have included such support since inception and the standard kernel for those platforms supports the feature.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_5_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_5_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_5_3

1.5.3 Ensure address space layout randomization (ASLR) is enabled (Scored)


Description:
Address space layout randomization (ASLR) is an exploit mitigation technique which randomly arranges the address space
of key data areas of a process.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_5_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_5_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_5_4

1.5.4 Ensure prelink is disabled (Scored)


Description:
prelinkis a program that modifies ELF shared libraries and ELF dynamically linked binaries in such a way that the time
needed for the dynamic linker to perform relocations at startup significantly decreases.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_5_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_5_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_1_1

1.6.1.1 Ensure SELinux is not disabled in bootloader configuration (Scored)


Description:
Configure SELINUX to be enabled at boot time and verify that it has not been overwritten by the grub boot parameters.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_1_2

1.6.1.2 Ensure the SELinux state is enforcing (Scored)


Description:
Set SELinux to enable when the system is booted.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_1_3

1.6.1.3 Ensure SELinux policy is configured (Scored)


Description:
Configure SELinux to meet or exceed the default targeted policy, which constrains daemons and system software only.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_1_4

1.6.1.4 Ensure SETroubleshoot is not installed (Scored)


Description:
The SETroubleshoot service notifies desktop users of SELinux denials through a user- friendly interface. The service provides
important information around configuration errors, unauthorized intrusions, and other potential errors.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_1_5

1.6.1.5 Ensure the MCS Translation Service (mcstrans) is not installed (Scored)


Description:
The mcstransd daemon provides category label information to client processes requesting information. The label
translations are defined in /etc/selinux/targeted/setrans.conf

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_1_6

1.6.1.6 Ensure no unconfined daemons exist (Scored)


Description:
Daemons that are not defined in SELinux policy will inherit the security context of their parent process.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_6_2

1.6.2 Ensure SELinux is installed (Scored)


Description:
SELinux provides Mandatory Access Controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_6_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_6_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_7_1_1

1.7.1.1 Ensure message of the day is configured properly (Scored)


Description:
The contents of the /etc/motd file are displayed to users after login and function as a message of the day for authenticated users.
Unix-based systems have typically displayed information about the OS release and patch level upon logging in to the system.
This information can be useful to developers who are developing software for a particular OS platform. If mingetty(8) supports
the following options, they display operating system information: \m - machine architecture \r - operating system release \s -
operating system name \v - operating system version

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_7_1_2

1.7.1.2 Ensure local login warning banner is configured properly (Not Scored)

Description:
The contents of the /etc/issue file are displayed to users prior to login for local terminals.
Unix-based systems have typically displayed information about the OS release and patch level upon logging in to the
system. This information can be useful to developers who are developing software for a particular OS platform. If mingetty(8)
supports the following options, they display operating system information: \m - machine architecture \r - operating system release
\s - operating system name \v - operating system version

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_7_1_3

1.7.1.3 Ensure remote login warning banner is configured properly (Not Scored)


Description:
The contents of the /etc/issue.net file are displayed to users prior to login for remote connections from configured services.
Unix-based systems have typically displayed information about the OS release and patch level upon logging in to the system. This
information can be useful to developers who are developing software for a particular OS platform. If mingetty(8) supports the following
options, they display operating system information: \m - machine architecture \r - operating system release \s - operating system
name \v - operating system version

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_7_1_4

1.7.1.4 Ensure permissions on /etc/motd are configured (Not Scored)


Description:
The contents of the /etc/motd file are displayed to users after login and function as a message of the day for authenticated users.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `motd`

Data type: `Optional[String]`

Optional content of /etc/motd.  Falls back to optional value of $banner if not defined

Default value: undef

##### `banner`

Data type: `Optional[String]`

Content of /etc/issue and /etc/issue.net

Default value: `undef`

### secure_linux_cis::distribution::redhat7::cis_1_7_1_5

1.7.1.5 Ensure permissions on /etc/issue are configured (Scored)


Description:
The contents of the /etc/issue file are displayed to users prior to login for local terminals.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `banner`

Data type: `Optional[String]`

Content of /etc/issue

Default value: `undef`

### secure_linux_cis::distribution::redhat7::cis_1_7_1_6

1.7.1.6 Ensure permissions on /etc/issue.net are configured (Not Scored)


Description:
The contents of the /etc/issue.net file are displayed to users prior to login for remote connections from configured services.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `banner`

Data type: `Optional[String]`

Content of /etc/issue.net

Default value: `undef`

### secure_linux_cis::distribution::redhat7::cis_1_7_2

1.7.2 Ensure GDM login banner is configured (Scored)


Description:
GDM is the GNOME Display Manager which handles graphical login for GNOME based systems.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_7_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_7_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_1_8

1.8 Ensure updates, patches, and additional security software are installed (Scored)


Description:
Periodically patches are released for included software either due to security flaws or to include additional functionality.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_1_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_1_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_1

2.1.1 Ensure chargen services are not enabled (Scored)

Description:
chargenis a network service that responds with 0 to 512 ASCII characters for each connection it receives.
This service is intended for debugging and testing purposes. It is recommended that this service be disabled.

Rationale:
Disabling this service will reduce the remote attack surface of the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_2

2.1.2 Ensure daytime services are not enabled (Scored)

Description:
daytime is a network service that responds with the server's current date and time.
This service is intended for debugging and testing purposes. It is recommended that this service be disabled.

Rationale:
Disabling this service will reduce the remote attack surface of the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_3

2.1.3 Ensure discard services are not enabled (Scored)

Description:
discard is a network service that simply discards all data it receives.
This service is intended for debugging and testing purposes. It is recommended that this service be disabled.

Rationale:
Disabling this service will reduce the remote attack surface of the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_4

2.1.4 Ensure echo services are not enabled (Scored)

Description:
echo is a network service that responds to clients with the data sent to it by the client.
This service is intended for debugging and testing purposes. It is recommended that this service be disabled.

Rationale:
Disabling this service will reduce the remote attack surface of the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_5

2.1.5 Ensure time services are not enabled (Scored)

Description:
time is a network service that responds with the server's current date and time as a 32 bit integer.
This service is intended for debugging and testing purposes. It is recommended that this service be disabled.

Rationale:
Disabling this service will reduce the remote attack surface of the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_6

2.1.6 Ensure tftp server is not enabled (Scored)

Description:
Trivial File Transfer Protocol (TFTP) is a simple file transfer protocol,
typically used to automatically transfer configuration or boot machines from a boot server.
The package tftp-server is used to define and support a TFTP server.

Rationale:
TFTP does not support authentication nor does it ensure the confidentiality or integrity of data.
It is recommended that TFTP be removed, unless there is a specific need for TFTP. In that case,
extreme caution must be used when configuring the services.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_1_7

2.1.7 Ensure xinetd is not enabled (Scored)

Description:
The eXtended InterNET Daemon ( xinetd ) is an open source super daemon that replaced the original inetd daemon.
The xinetd daemon listens for well known services and dispatches the appropriate daemon to properly respond to service requests.

Rationale:
If there are no xinetd services required, it is recommended that the daemon be disabled.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_1_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_1_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_10

2.2.10 Ensure HTTP server is not enabled (Scored)

Description:
HTTP or web servers provide the ability to host web site content.

Rationale:
Unless there is a need to run the system as a web server,
it is recommended that the service be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_11

2.2.11 Ensure IMAP and POP3 server is not enabled (Scored)

Description:
dovecot is an open source IMAP and POP3 server for Linux based systems.

Rationale:
Unless POP3 and/or IMAP servers are to be provided by this system,
it is recommended that the service be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_11
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_11` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_12

2.2.12 Ensure Samba is not enabled (Scored)

Description:
The Samba daemon allows system administrators to configure their Linux systems to share
file systems and directories with Windows desktops. Samba will advertise the file systems
and directories via the Small Message Block (SMB) protocol.
Windows desktop users will be able to mount these directories and file systems as letter drives on their systems.

Rationale:
If there is no need to mount directories and file systems to Windows systems,
then this service can be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_12
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_12` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_13

2.2.13 Ensure HTTP Proxy Server is not enabled (Scored)

Description:
Squid is a standard proxy server used in many distributions and environments.

Rationale:
If there is no need for a proxy server, it is recommended that the squid proxy be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_13
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_13` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_14

2.2.14 Ensure SNMP Server is not enabled (Scored)

Description:
The Simple Network Management Protocol (SNMP) server is used to listen for SNMP commands from an SNMP management system,
execute the commands or collect the information and then send results back to the requesting system.

Rationale:
The SNMP server can communicate using SNMP v1, which transmits data in the clear and does not require authentication to execute commands.
Unless absolutely necessary, it is recommended that the SNMP service not be used.
If SNMP is required the server should be configured to disallow SNMP v1.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_14
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_14` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_15

2.2.15 Ensure mail transfer agent is configured for local-only mode (Scored)

Description:
Mail Transfer Agents (MTA), such as sendmail and Postfix, are used to listen for incoming mail and transfer
the messages to the appropriate user or mail server. If the system is not intended to be a mail server,
it is recommended that the MTA be configured to only process local mail.

Rationale:
The software for all Mail Transfer Agents is complex and most have a long history of security issues.
While it is important to ensure that the system can process local mail messages,
it is not necessary to have the MTA's daemon listening on a port unless the server
is intended to be a mail server that receives and processes mail from other systems.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_15
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_15` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_16

2.2.16 Ensure NIS Server is not enabled (Scored)

Description:
The Network Information Service (NIS) (formally known as Yellow Pages) is a
client-server directory service protocol for distributing system configuration files.
The NIS server is a collection of programs that allow for the distribution of configuration files.

Rationale:
The NIS service is inherently an insecure system that has been vulnerable to DOS attacks,
buffer overflows and has poor authentication for querying NIS maps.
NIS generally been replaced by such protocols as Lightweight Directory Access Protocol (LDAP).
It is recommended that the service be disabled and other, more secure services be used

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_16
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_16` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_17

2.2.17 Ensure rsh server is not enabled (Scored)

Description:
The Berkeley rsh-server ( rsh , rlogin , rexec ) package contains legacy services that exchange credentials in clear-text.

Rationale:
These legacy services contain numerous security exposures and have been replaced with the more secure SSH package.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_17
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_17` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_18

2.2.18 Ensure talk server is not enabled (Scored)

Description:
The talk software makes it possible for users to send and receive messages across systems
through a terminal session. The talk client (allows initiate of talk sessions) is installed by default.

Rationale:
The software presents a security risk as it uses unencrypted protocols for communication.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_18
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_18` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_19

2.2.19 Ensure telnet server is not enabled (Scored)

Description:
The telnet-server package contains the telnet daemon, which accepts connections
from users from other systems via the telnet protocol.

Rationale:
The telnet protocol is insecure and unencrypted. The use of an unencrypted transmission
medium could allow a user with access to sniff network traffic the ability to steal credentials.
The ssh package provides an encrypted session and stronger security.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_19
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_19` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_1_1

2.2.1.1 Ensure time synchronization is in use (Not Scored)

Description:
System time should be synchronized between all systems in an environment. This is
typically done by establishing an authoritative time server or set of servers and having all
systems synchronize their clocks to them.
Rationale:
Time synchronization is important to support time sensitive security mechanisms like
Kerberos and also ensures log files have consistent time records across the enterprise,
which aids in forensic investigations.

# @param enforced Should this rule be enforced

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_1_1
```

### secure_linux_cis::distribution::redhat7::cis_2_2_1_2

2.2.1.2 Ensure ntp is configured (Scored)

Description:
ntp is a daemon which implements the Network Time Protocol (NTP). It is designed to
synchronize system clocks across a variety of systems and use a source that is highly
accurate. More information on NTP can be found at http://www.ntp.org. ntp can be
configured to be a client and/or a server.
This recommendation only applies if ntp is in use on the system.

Rationale:
If ntp is in use on the system proper configuration is vital to ensuring time synchronization
is working properly.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `time_servers`

Data type: `Array[String]`

Array of valid NTP Time servers

Default value: []

##### `time_sync`

Data type: `Enum['ntp', 'chrony', 'none']`

Which NTP program to use

Default value: 'ntp'

### secure_linux_cis::distribution::redhat7::cis_2_2_1_3

2.2.1.3 Ensure chrony is configured (Scored)

Description:
chrony is a daemon which implements the Network Time Protocol (NTP) is designed to
synchronize system clocks across a variety of systems and use a source that is highly
accurate. More information on chrony can be found at http://chrony.tuxfamily.org/. chrony
can be configured to be a client and/or a server.

Rationale:
If chrony is in use on the system proper configuration is vital to ensuring time
synchronization is working properly.
This recommendation only applies if chrony is in use on the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `time_servers`

Data type: `Array[String]`

Array of valid NTP Time servers

Default value: []

##### `time_sync`

Data type: `Enum['ntp', 'chrony', 'none']`

Which NTP program to use

Default value: 'chrony'

### secure_linux_cis::distribution::redhat7::cis_2_2_2

2.2.2 Ensure X Window System is not installed (Scored)

Description:
The X Window System provides a Graphical User Interface (GUI) where users can have multiple windows
in which to run programs and various add on. The X Windows system is typically used on workstations where users login,
but not on servers where users typically do not login.

Rationale:
Unless your organization specifically requires graphical login access via X Windows, remove it to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_20

2.2.20 Ensure tftp server is not enabled (Scored)

Description:
Trivial File Transfer Protocol (TFTP) is a simple file transfer protocol,
typically used to automatically transfer configuration or boot machines from a boot server.
The package tftp-server is used to define and support a TFTP server.

Rationale:
TFTP does not support authentication nor does it ensure the confidentiality or integrity of data.
It is recommended that TFTP be removed, unless there is a specific need for TFTP.
In that case, extreme caution must be used when configuring the services.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_20
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_20` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_21

2.2.21 Ensure rsync service is not enabled (Scored)

Description:
The rsyncd service can be used to synchronize files between systems over network links.

Rationale:
The rsyncd service presents a security risk as it uses unencrypted protocols for communication.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_21
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_21` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_3

2.2.3 Ensure Avahi Server is not enabled (Scored)

Description:
Avahi is a free zeroconf implementation, including a system for multicast DNS/DNS-SD service discovery.
Avahi allows programs to publish and discover services and hosts running on a local network with no specific configuration.
For example, a user can plug a computer into a network and Avahi automatically finds printers to print to,
files to look at and people to talk to, as well as network services running on the machine.

Rationale:
Automatic discovery of network services is not normally required for system functionality.
It is recommended to disable the service to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_4

2.2.4 Ensure CUPS is not enabled (Scored)

Description:
The Common Unix Print System (CUPS) provides the ability to print to both local and network printers.
A system running CUPS can also accept print jobs from remote systems and print them to local printers.
It also provides a web based remote administration capability.

Rationale:
If the system does not need to print jobs or accept print jobs from other systems,
it is recommended that CUPS be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_5

2.2.5 Ensure DHCP Server is not enabled (Scored)

Description:
The Dynamic Host Configuration Protocol (DHCP) is a service that allows machines to be dynamically assigned IP addresses.

Rationale:
Unless a system is specifically set up to act as a DHCP server,
it is recommended that this service be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_6

2.2.6 Ensure LDAP server is not enabled (Scored)

Description:
The Lightweight Directory Access Protocol (LDAP) was introduced as a replacement for NIS/YP.
It is a service that provides a method for looking up information from a central database.

Rationale:
If the system will not need to act as an LDAP server,
it is recommended that the software be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_7

2.2.7 Ensure NFS and RPC are not enabled (Scored)

Description:
The Network File System (NFS) is one of the first and most widely distributed file systems in the UNIX environment.
It provides the ability for systems to mount file systems of other servers through the network.

Rationale:
If the system does not export NFS shares or act as an NFS client,
it is recommended that these services be disabled to reduce remote attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_8

2.2.8 Ensure DNS Server is not enabled (Scored)

Description:
The Domain Name System (DNS) is a hierarchical naming system that maps names to IP addresses for computers,
services and other resources connected to a network.

Rationale:
Unless a system is specifically designated to act as a DNS server,
it is recommended that the service be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_2_9

2.2.9 Ensure FTP Server is not enabled (Scored)

Description:
The File Transfer Protocol (FTP) provides networked computers with the ability to transfer files.

Rationale:
FTP does not protect the confidentiality of data or authentication credentials.
It is recommended sftp be used if file transfer is required.
Unless there is a need to run the system as a FTP server (for example, to allow anonymous downloads),
it is recommended that the service be disabled to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_2_9
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_2_9` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_3_1

2.3.1 Ensure NIS Client is not installed (Scored)

Description:
The Network Information Service (NIS), formerly known as Yellow Pages, is a client-server
directory service protocol used to distribute system configuration files. The NIS client ( ypbind )
was used to bind a machine to an NIS server and receive the distributed configuration files.

Rationale:
The NIS service is inherently an insecure system that has been vulnerable to DOS attacks,
buffer overflows and has poor authentication for querying NIS maps. NIS generally has been
replaced by such protocols as Lightweight Directory Access Protocol (LDAP). It is recommended that the service be removed.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_3_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_3_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_3_2

2.3.2 Ensure rsh client is not installed (Scored)

Description:
The rsh package contains the client commands for the rsh services.

Rationale:
These legacy clients contain numerous security exposures and have been replaced with the more secure SSH package.
Even if the server is removed, it is best to ensure the clients are also removed to prevent users from inadvertently attempting
to use these commands and therefore exposing their credentials.
Note that removing the rsh package removes the clients for rsh , rcp and rlogin .

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_3_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_3_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_3_3

2.3.3 Ensure talk client is not installed (Scored)

Description:
The talk software makes it possible for users to send and receive messages across systems through a terminal session.
The talk client, which allows initialization of talk sessions, is installed by default.

Rationale:
The software presents a security risk as it uses unencrypted protocols for communication.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_3_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_3_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_3_4

2.3.4 Ensure telnet client is not installed (Scored)

Description:
The telnet package contains the telnet client, which allows users to start connections to other systems via the telnet protocol.

Rationale:
The telnet protocol is insecure and unencrypted. The use of an unencrypted transmission medium could allow an unauthorized user
to steal credentials. The ssh package provides an encrypted session and stronger security and is included in most Linux distributions.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_3_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_3_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_2_3_5

2.3.5 Ensure LDAP client is not installed (Scored)

Description:
The Lightweight Directory Access Protocol (LDAP) was introduced as a replacement for NIS/YP.
It is a service that provides a method for looking up information from a central database.

Rationale:
If the system will not need to act as an LDAP client, it is recommended that the software
be removed to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_2_3_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_2_3_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_1_1

3.1.1 Ensure IP forwarding is disabled (Scored)

Description:
The net.ipv4.ip_forward flag is used to tell the system whether it can forward packets or not.

Rationale:
Setting the flag to 0 ensures that a system with multiple interfaces (for example, a hard proxy),
will never be able to forward packets, and therefore, never serve as a router.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_1_2

3.1.2 Ensure packet redirect sending is disabled (Scored)

Description:
ICMP Redirects are used to send routing information to other hosts.
As a host itself does not act as a router (in a host only configuration), there is no need to send redirects.

Rationale:
An attacker could use a compromised host to send invalid ICMP redirects to other router devices in an attempt
to corrupt routing and have users access a system set up by the attacker as opposed to a valid system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_1

3.2.1 Ensure source routed packets are not accepted (Scored)

Description:
In networking, source routing allows a sender to partially or fully specify the route packets take through a network.
In contrast, non-source routed packets travel a path determined by routers in the network.
In some cases, systems may not be routable or reachable from some locations (e.g. private addresses vs. Internet routable),
and so source routed packets would need to be used.

Rationale:
Setting net.ipv4.conf.all.accept_source_route and net.ipv4.conf.default.accept_source_route to 0 disables the system from
accepting source routed packets. Assume this system was capable of routing packets to Internet routable addresses on one
interface and private addresses on another interface. Assume that the private addresses were not routable to the Internet
routable addresses and vice versa. Under normal routing circumstances, an attacker from the Internet routable addresses
could not use the system as a way to reach the private address systems. If, however, source routed packets were allowed,
they could be used to gain access to the private address systems as the route could be specified,
rather than rely on routing protocols that did not allow this routing.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_2

3.2.2 Ensure ICMP redirects are not accepted (Scored)

Description:
ICMP redirect messages are packets that convey routing information and tell your host (acting as a router)
to send packets via an alternate path. It is a way of allowing an outside routing device to update your
system routing tables. By setting net.ipv4.conf.all.accept_redirects to 0, the system will not accept any
ICMP redirect messages, and therefore, won't allow outsiders to update the system's routing tables.

Rationale:
Attackers could use bogus ICMP redirect messages to maliciously alter the system routing tables and get
them to send packets to incorrect networks and allow your system packets to be captured.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_3

3.2.3 Ensure secure ICMP redirects are not accepted (Scored)

Description:
Secure ICMP redirects are the same as ICMP redirects, except they come from gateways listed on the default gateway list.
It is assumed that these gateways are known to your system, and that they are likely to be secure.

Rationale:
It is still possible for even known gateways to be compromised. Setting net.ipv4.conf.all.secure_redirects to 0 protects
the system from routing table updates by possibly compromised known gateways.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_4

3.2.4 Ensure suspicious packets are logged (Scored)

Description:
When enabled, this feature logs packets with un-routable source addresses to the kernel log.

Rationale:
Enabling this feature and logging these packets allows an administrator to investigate the
possibility that an attacker is sending spoofed packets to their system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_5

3.2.5 Ensure broadcast ICMP requests are ignored (Scored)

Description:
Setting net.ipv4.icmp_echo_ignore_broadcasts to 1 will cause the system to ignore all ICMP echo and
timestamp requests to broadcast and multicast addresses.

Rationale:
Accepting ICMP echo and timestamp requests with broadcast or multicast destinations for your network
could be used to trick your host into starting (or participating) in a Smurf attack. A Smurf attack
relies on an attacker sending large amounts of ICMP broadcast messages with a spoofed source address.
All hosts receiving this message and responding would send echo-reply messages back to the spoofed address,
which is probably not routable. If many hosts respond to the packets, the amount of traffic on the
network could be significantly multiplied.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_6

3.2.6 Ensure bogus ICMP responses are ignored (Scored)

Description:
Setting icmp_ignore_bogus_error_responses to 1 prevents the kernel from logging bogus responses (RFC-1122 non-compliant)
from broadcast reframes, keeping file systems from filling up with useless log messages.

Rationale:
Some routers (and some attackers) will send responses that violate RFC-1122 and attempt to fill up a log file system
with many useless error messages.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_7

3.2.7 Ensure Reverse Path Filtering is enabled (Scored)

Description:
Setting net.ipv4.conf.all.rp_filter and net.ipv4.conf.default.rp_filter to 1 forces the Linux kernel to utilize
reverse path filtering on a received packet to determine if the packet was valid. Essentially, with reverse path
filtering, if the return packet does not go out the same interface that the corresponding source packet came from,
the packet is dropped (and logged if log_martians is set).

Rationale:
Setting these flags is a good way to deter attackers from sending your system bogus packets that cannot be responded
to. One instance where this feature breaks down is if asymmetrical routing is employed. This would occur when using
dynamic routing protocols (bgp, ospf, etc) on your system. If you are using asymmetrical routing on your system,
you will not be able to enable this feature without breaking the routing.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_2_8

3.2.8 Ensure TCP SYN Cookies is enabled (Scored)

Description:
When tcp_syncookies is set, the kernel will handle TCP SYN packets normally until the half-open connection queue is full,
at which time, the SYN cookie functionality kicks in. SYN cookies work by not using the SYN queue at all. Instead, the
kernel simply replies to the SYN with a SYN|ACK, but will include a specially crafted TCP sequence number that encodes
the source and destination IP address and port number and the time the packet was sent. A legitimate connection would
send the ACK packet of the three way handshake with the specially crafted sequence number. This allows the system to
verify that it has received a valid response to a SYN cookie and allow the connection, even though there is no
corresponding SYN in the queue.

Rationale:
Attackers use SYN flood attacks to perform a denial of service attacked on a system by sending many SYN packets without
completing the three way handshake. This will quickly use up slots in the kernel's half-open connection queue and prevent
legitimate connections from succeeding. SYN cookies allow the system to keep accepting valid connections, even if under
a denial of service attack.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_2_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_2_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_3_1

3.3.1 Ensure IPv6 router advertisements are not accepted (Not Scored)

Description:
This setting disables the system's ability to accept IPv6 router advertisements.

Rationale:
It is recommended that systems not accept router advertisements as they could be tricked
into routing traffic to compromised machines. Setting hard routes within the system
(usually a single default route to a trusted router) protects the system from bad routes.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_3_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_3_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `ipv6_enabled`

Data type: `Boolean`

Should ipv6 be enabled

Default value: `false`

### secure_linux_cis::distribution::redhat7::cis_3_3_2

3.3.2 Ensure IPv6 redirects are not accepted (Not Scored)

Description:
This setting prevents the system from accepting ICMP redirects. ICMP redirects tell the
system about alternate routes for sending traffic.

Rationale:
It is recommended that systems not accept ICMP redirects as they could be tricked into
routing traffic to compromised machines. Setting hard routes within the system (usually a
single default route to a trusted router) protects the system from bad routes.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_3_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_3_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `ipv6_enabled`

Data type: `Boolean`

Should ipv6 be enabled

Default value: `false`

### secure_linux_cis::distribution::redhat7::cis_3_3_3

3.3.3 Ensure IPv6 is disabled (Not Scored)

Description:
Although IPv6 has many advantages over IPv4, few organizations have implemented IPv6.

Rationale:
If IPv6 is not to be used, it is recommended that it be disabled to reduce the attack surface
of the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_3_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_3_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `ipv6_enabled`

Data type: `Boolean`

Should ipv6 be enabled

Default value: `false`

### secure_linux_cis::distribution::redhat7::cis_3_4_1

3.4.1 Ensure TCP Wrappers is installed (Scored)

Description:
TCP Wrappers provides a simple access list and standardized logging method for services capable of supporting it.
In the past, services that were called from inetd and xinetd supported the use of tcp wrappers. As inetd and xinetd
have been falling in disuse, any service that can support tcp wrappers will have the libwrap.so library attached to it.

Rationale:
TCP Wrappers provide a good simple access list mechanism to services that may not have that support built in. It is
recommended that all services that can support TCP Wrappers, use it.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_4_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_4_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_4_2

3.4.2 Ensure /etc/hosts.allow is configured (Scored)

Description:
The /etc/hosts.allow file specifies which IP addresses are permitted to connect to the host.
It is intended to be used in conjunction with the /etc/hosts.deny file.

Rationale:
The /etc/hosts.allow file supports access control by IP and helps ensure that only authorized systems can connect to the system.

3.4.4 Ensure permissions on /etc/hosts.allow are configured (Scored)

Description:
The /etc/hosts.allow file contains networking information that is used by many
applications and therefore must be readable for these applications to operate.

Rationale:
It is critical to ensure that the /etc/hosts.allow file is protected from unauthorized write
access. Although it is protected by default, the file permissions could be changed either
inadvertently or through malicious actions.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_4_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_4_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_4_3

3.4.3 Ensure /etc/hosts.deny is configured (Scored)

Description:
The /etc/hosts.deny file specifies which IP addresses are not permitted to connect to the host.
It is intended to be used in conjunction with the /etc/hosts.allow file.

Rationale:
The /etc/hosts.deny file serves as a failsafe so that any host not specified in /etc/hosts.allow is denied access to the system.

3.4.5 Ensure permissions on /etc/hosts.deny are configured (Scored)

Description:
The /etc/hosts.deny file contains network information that is used by many system
applications and therefore must be readable for these applications to operate.

Rationale:
It is critical to ensure that the /etc/hosts.deny file is protected from unauthorized write
access. Although it is protected by default, the file permissions could be changed either
inadvertently or through malicious actions.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_4_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_4_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_4_4

3.4.4 Ensure permissions on /etc/hosts.allow are configured (Scored)

Description:
The /etc/hosts.allow file contains networking information that is used by many
applications and therefore must be readable for these applications to operate.

Rationale:
It is critical to ensure that the /etc/hosts.allow file is protected from unauthorized write
access. Although it is protected by default, the file permissions could be changed either
inadvertently or through malicious actions.

# @param enforced Should this rule be enforced

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_4_4
```

### secure_linux_cis::distribution::redhat7::cis_3_4_5

3.4.5 Ensure permissions on /etc/hosts.deny are configured (Scored)

Description:
The /etc/hosts.deny file contains network information that is used by many system
applications and therefore must be readable for these applications to operate.

Rationale:
It is critical to ensure that the /etc/hosts.deny file is protected from unauthorized write
access. Although it is protected by default, the file permissions could be changed either
inadvertently or through malicious actions.

# @param enforced Should this rule be enforced

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_4_5
```

### secure_linux_cis::distribution::redhat7::cis_3_5_1

3.5.1 Ensure DCCP is disabled (Not Scored)

Description:
The Datagram Congestion Control Protocol (DCCP) is a transport layer protocol that
supports streaming media and telephony. DCCP provides a way to gain access to
congestion control, without having to do it at the application layer, but does not provide insequence
delivery.

Rationale:
If the protocol is not required, it is recommended that the drivers not be installed to reduce
the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_5_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_5_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_5_2

3.5.2 Ensure SCTP is disabled (Not Scored)

Description:
The Stream Control Transmission Protocol (SCTP) is a transport layer protocol used to
support message oriented communication, with several streams of messages in one
connection. It serves a similar function as TCP and UDP, incorporating features of both. It is
message-oriented like UDP, and ensures reliable in-sequence transport of messages with
congestion control like TCP.

Rationale:
If the protocol is not being used, it is recommended that kernel module not be loaded,
disabling the service to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_5_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_5_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_5_3

3.5.3 Ensure RDS is disabled (Not Scored)

Description:
The Reliable Datagram Sockets (RDS) protocol is a transport layer protocol designed to
provide low-latency, high-bandwidth communications between cluster nodes. It was
developed by the Oracle Corporation.

Rationale:
If the protocol is not being used, it is recommended that kernel module not be loaded,
disabling the service to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_5_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_5_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_5_4

3.5.4 Ensure TIPC is disabled (Not Scored)

# Description:
The Transparent Inter-Process Communication (TIPC) protocol is designed to provide
communication between cluster nodes.

Rationale:
If the protocol is not being used, it is recommended that kernel module not be loaded,
disabling the service to reduce the potential attack surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_5_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_5_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_6_1

3.6.1 Ensure iptables is installed (Scored)

Description:
iptables allows configuration of the IPv4 tables in the linux kernel and the rules stored
within them. Most firewall configuration utilities operate as a front end to iptables.

Rationale:
iptables is required for firewall management and configuration.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_6_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_6_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_6_2

3.6.2 Ensure default deny firewall policy (Scored)

Description:
A default deny all policy on connections ensures that any unconfigured network usage will
be rejected.

Rationale:
With a default accept policy the firewall will accept any packet that is not configured to be
denied. It is easier to white list acceptable usage than to black list unacceptable usage.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_6_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_6_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_6_3

3.6.3 Ensure loopback traffic is configured (Scored)

Description:
Configure the loopback interface to accept traffic. Configure all other interfaces to deny
traffic to the loopback network (127.0.0.0/8).

Rationale:
Loopback traffic is generated between processes on machine and is typically critical to
operation of the system. The loopback interface is the only place that loopback network
(127.0.0.0/8) traffic should be seen, all other interfaces should ignore traffic on this
network as an anti-spoofing measure.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_6_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_6_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_6_4

3.6.4 Ensure outbound and established connections are configured (Not Scored)

Description:
Configure the firewall rules for new outbound, and established connections.

Rationale:
If rules are not in place for new outbound, and established connections all packets will be
dropped by the default policy preventing network usage.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_6_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_6_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_6_5

3.6.5 Ensure firewall rules exist for all open ports (Scored)

Description:
Any ports that have been opened on non-loopback addresses need firewall rules to govern
traffic.

Rationale:
Without a firewall rule configured for open ports default firewall policy will drop all
packets to these ports.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_6_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_6_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_3_7

3.7 Ensure wireless interfaces are disabled (Not Scored)

Description:
Wireless networking is used when wired networks are unavailable. Red Hat Enterprise
Linux 7 contains a wireless tool kit to allow system administrators to configure and use
wireless networks.

Rationale:
If wireless is not to be used, wireless devices can be disabled to reduce the potential attack
surface.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_3_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_3_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_10

4.1.10 Ensure discretionary access control permission modification events are collected (Scored)

Description:
Monitor changes to file permissions, attributes, ownership and group. The parameters in
this section track changes for system calls that affect file permissions and attributes. The
chmod , fchmod and fchmodat system calls affect the permissions associated with a file. The
chown , fchown , fchownat and lchown system calls affect owner and group attributes on a
file. The setxattr , lsetxattr , fsetxattr (set extended file attributes) and removexattr ,
lremovexattr , fremovexattr (remove extended file attributes) control extended file
attributes. In all cases, an audit record will only be written for non-system user ids (auid >=
1000) and will ignore Daemon events (auid = 4294967295). All audit records will be
tagged with the identifier "perm_mod."

Rationale:
Monitoring for changes in file attributes could alert a system administrator to activity that
could indicate intruder activity or policy violation.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_11

4.1.11 Ensure unsuccessful unauthorized file access attempts are collected (Scored)

Description:
Monitor for unsuccessful attempts to access files. The parameters below are associated
with system calls that control creation ( creat ), opening ( open , openat ) and truncation (
truncate , ftruncate ) of files. An audit log record will only be written if the user is a nonprivileged
user (auid > = 1000), is not a Daemon event (auid=4294967295) and if the
system call returned EACCES (permission denied to the file) or EPERM (some other
permanent error associated with the specific system call). All audit records will be tagged
with the identifier "access."

Rationale:
Failed attempts to open, create or truncate files could be an indication that an individual or
process is trying to gain unauthorized access to the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_11
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_11` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_12

A description of what this class does

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_12
```

### secure_linux_cis::distribution::redhat7::cis_4_1_13

4.1.13 Ensure successful file system mounts are collected (Scored)

Description:
Monitor the use of the mount system call. The mount (and umount ) system call controls the
mounting and unmounting of file systems. The parameters below configure the system to
create an audit record when the mount system call is used by a non-privileged user

Rationale:
It is highly unusual for a non privileged user to mount file systems to the system. While
tracking mount commands gives the system administrator evidence that external media
may have been mounted (based on a review of the source of the mount and confirming it's
an external media type), it does not conclusively indicate that data was exported to the
media. System administrators who wish to determine if data were exported, would also
have to track successful open , creat and truncate system calls requiring write access to a
file under the mount point of the external media file system. This could give a fair
indication that a write occurred. The only way to truly prove it, would be to track
successful writes to the external media. Tracking write system calls could quickly fill up the
audit log and is not recommended. Recommendations on configuration options to track
data export to media is beyond the scope of this document.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_13
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_13` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_14

4.1.14 Ensure file deletion events by users are collected (Scored)

Description:
Monitor the use of system calls associated with the deletion or renaming of files and file
attributes. This configuration statement sets up monitoring for the unlink (remove a file),
unlinkat (remove a file attribute), rename (rename a file) and renameat (rename a file
attribute) system calls and tags them with the identifier "delete".

Rationale:
Monitoring these calls from non-privileged users could provide a system administrator
with evidence that inappropriate removal of files and file attributes associated with
protected files is occurring. While this audit option will look at all events, system
administrators will want to look for specific privileged files that are being deleted or
altered.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_14
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_14` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_15

4.1.15 Ensure changes to system administration scope (sudoers) is collected (Scored)

Description:
Monitor scope changes for system administrations. If the system has been properly
configured to force system administrators to log in as themselves first and then use the
sudo command to execute privileged commands, it is possible to monitor changes in scope.
The file /etc/sudoers will be written to when the file or its attributes have changed. The
audit records will be tagged with the identifier "scope."

Rationale:
Changes in the /etc/sudoers file can indicate that an unauthorized change has been made
to scope of system administrator activity.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_15
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_15` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_16

4.1.16 Ensure system administrator actions (sudolog) are collected (Scored)

Description:
Monitor the sudo log file. If the system has been properly configured to disable the use of
the su command and force all administrators to have to log in first and then use sudo to
execute privileged commands, then all administrator commands will be logged to
/var/log/sudo.log . Any time a command is executed, an audit event will be triggered as
the /var/log/sudo.log file will be opened for write and the executed administration
command will be written to the log.

Rationale:
Changes in /var/log/sudo.log indicate that an administrator has executed a command or
the log file itself has been tampered with. Administrators will want to correlate the events
written to the audit trail with the records written to /var/log/sudo.log to verify if
unauthorized commands have been executed.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_16
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_16` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_17

4.1.17 Ensure kernel module loading and unloading is collected (Scored)

Description:
Monitor the loading and unloading of kernel modules. The programs insmod (install a
kernel module), rmmod (remove a kernel module), and modprobe (a more sophisticated
program to load and unload modules, as well as some other features) control loading and
unloading of modules. The init_module (load a module) and delete_module (delete a
module) system calls control loading and unloading of modules. Any execution of the
loading and unloading module programs and system calls will trigger an audit record with
an identifier of "modules".

Rationale:
Monitoring the use of insmod , rmmod and modprobe could provide system administrators
with evidence that an unauthorized user loaded or unloaded a kernel module, possibly
compromising the security of the system. Monitoring of the init_module and
delete_module system calls would reflect an unauthorized user attempting to use a
different program to load and unload modules.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_17
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_17` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_18

4.1.18 Ensure the audit configuration is immutable (Scored)

Description:
Set system audit so that audit rules cannot be modified with auditctl.
Setting the flag "-e 2" forces audit to be put in immutable mode. Audit changes can only be made
on system reboot.

Rationale:
In immutable mode, unauthorized users cannot execute changes to the audit system
to potentially hide malicious activity and then put the audit rules back.
Users would most likely notice a system reboot and that could alert administrators of an attempt
to make unauthorized audit changes.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_18
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_18` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_1_1

4.1.1.1 Ensure audit log storage size is configured (Not Scored)

Description:
Configure the maximum size of the audit log file. Once the log reaches the maximum size, it
will be rotated and a new log file will be started.

Rationale:
It is important that an appropriate size is determined for log files so that they do not impact
the system and audit data is not lost.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `max_log_file`

Data type: `Integer`

The maximum size of the audit log file (MB) for your organization's policy.

Default value: 8

### secure_linux_cis::distribution::redhat7::cis_4_1_1_2

4.1.1.2 Ensure system is disabled when audit logs are full (Scored)

Description:
The auditd daemon can be configured to halt the system when the audit logs are full.

Rationale:
In high security contexts, the risk of detecting unauthorized access or nonrepudiation
exceeds the benefit of the system's availability.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_1_3

4.1.1.3 Ensure audit logs are not automatically deleted (Scored)

Description:
The max_log_file_action setting determines how to handle the audit log file reaching the
max file size. A value of keep_logs will rotate the logs but never delete old logs.

Rationale:
In high security contexts, the benefits of maintaining a long audit history exceed the cost of
storing the audit history.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_2

4.1.2 Ensure auditd service is enabled (Scored)

Description:
Turn on the auditd daemon to record system events.

Rationale:
The capturing of system events provides system administrators with information to allow
them to determine if unauthorized access to their system is occurring.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_3

4.1.3 Ensure auditing for processes that start prior to auditd is enabled (Scored)

Description:
Configure grub so that processes that are capable of being audited can be audited even if
they start up prior to auditd startup.

Rationale:
Audit events need to be captured on processes that start up prior to auditd, so that
potential malicious activity cannot go undetected.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_4

4.1.4 Ensure events that modify date and time information are collected (Scored)

Description:
Capture events where the system date and/or time has been modified. The parameters in
this section are set to determine if the adjtimex (tune kernel clock), settimeofday (Set
time, using timeval and timezone structures) stime (using seconds since 1/1/1970) or
clock_settime (allows for the setting of several internal clocks and timers) system calls
have been executed and always write an audit record to the /var/log/audit.log file upon
exit, tagging the records with the identifier "time-change"

Rationale:
Unexpected changes in system date and/or time could be a sign of malicious activity on the
system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_5

4.1.5 Ensure events that modify user/group information are collected (Scored)

Description:
Record events affecting the group , passwd (user IDs), shadow and gshadow (passwords) or
/etc/security/opasswd (old passwords, based on remember parameter in the PAM
configuration) files. The parameters in this section will watch the files to see if they have
been opened for write or have had attribute changes (e.g. permissions) and tag them with
the identifier "identity" in the audit log file.

Rationale:
Unexpected changes to these files could be an indication that the system has been
compromised and that an unauthorized user is attempting to hide their activities or
compromise additional accounts.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_6

4.1.6 Ensure events that modify the system's network environment are collected (Scored)

Description:
Record changes to network environment files or system calls. The below parameters
monitor the sethostname (set the systems host name) or setdomainname (set the systems
domainname) system calls, and write an audit event on system call exit. The other
parameters monitor the /etc/issue and /etc/issue.net files (messages displayed prelogin),
/etc/hosts (file containing host names and associated IP addresses),
/etc/sysconfig/network file and /etc/sysconfig/network-scripts/ directory
(containing network interface scripts and configurations).

Rationale:
Monitoring sethostname and setdomainname will identify potential unauthorized changes
to host and domainname of a system. The changing of these names could potentially break
security parameters that are set based on those names. The /etc/hosts file is monitored
for changes in the file that can indicate an unauthorized intruder is trying to change
machine associations with IP addresses and trick users and processes into connecting to
unintended machines. Monitoring /etc/issue and /etc/issue.net is important, as
intruders could put disinformation into those files and trick users into providing
information to the intruder. Monitoring /etc/sysconfig/network and
/etc/sysconfig/network-scripts/ is important as it can show if network interfaces or
scripts are being modified in a way that can lead to the machine becoming unavailable or
compromised. All audit records will be tagged with the identifier "system-locale."

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_7

4.1.7 Ensure events that modify the system's Mandatory Access Controls are collected (Scored)

Description:
Monitor SELinux mandatory access controls. The parameters below monitor any write
access (potential additional, deletion or modification of files in the directory) or attribute
changes to the /etc/selinux or directory.

Rationale:
Changes to files in these directories could indicate that an unauthorized user is attempting
to modify access controls and change security contexts, leading to a compromise of the
system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_8

4.1.8 Ensure login and logout events are collected (Scored)

Description:
Monitor login and logout events. The parameters below track changes to files associated
with login/logout events. The file /var/log/lastlog maintain records of the last time a
user successfully logged in. The /var/run/failock directory maintains records of login
failures via the pam_faillock module.

Rationale:
Monitoring login/logout events could provide a system administrator with information
associated with brute force attacks against user logins.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_1_9

4.1.9 Ensure session initiation information is collected (Scored)

Description:
Monitor session initiation events. The parameters in this section track changes to the files
associated with session events. The file /var/run/utmp file tracks all currently logged in
users. All audit records will be tagged with the identifier "session." The /var/log/wtmp file
tracks logins, logouts, shutdown, and reboot events. The file /var/log/btmp keeps track of
failed login attempts and can be read by entering the command /usr/bin/last -f
/var/log/btmp . All audit records will be tagged with the identifier "logins."

Rationale:
Monitoring these files for changes could alert a system administrator to logins occurring at
unusual hours, which could indicate intruder activity (i.e. a user logging in at a time when
they do not normally log in).

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_1_9
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_1_9` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_2_1_1

4.2.1.1 Ensure rsyslog Service is enabled (Scored)

Description:
Once the rsyslog package is installed it needs to be activated.

Rationale:
If the rsyslog service is not activated the system may default to the syslogd service or lack
logging instead.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_1_2

4.2.1.2 Ensure logging is configured (Not Scored)

Description:
The /etc/rsyslog.conf and /etc/rsyslog.d/*.conf files specifies rules for logging and
which files are to be used to log certain classes of messages.

Rationale:
A great deal of important security-related information is sent via rsyslog (e.g., successful
and failed su attempts, failed login attempts, root login attempts, etc.).

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_1_3

4.2.1.3 Ensure rsyslog default file permissions configured (Scored)

Description:
rsyslog will create logfiles that do not already exist on the system. This setting controls
what permissions will be applied to these newly created files.

Rationale:
It is important to ensure that log files have the correct permissions to ensure that sensitive
data is archived and protected.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_1_4

4.2.1.4 Ensure rsyslog is configured to send logs to a remote log host (Scored)


Description:
The rsyslog utility supports the ability to send logs it gathers to a remote log host running syslogd(8)
or to receive messages from remote hosts, reducing administrative overhead.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `logging_host`

Data type: `String`

Which host should logging be sent to

Default value: `undef`

### secure_linux_cis::distribution::redhat7::cis_4_2_1_5

A description of what this class does

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `is_logging_host`

Data type: `Boolean`

Is this host a logging host

Default value: `false`

### secure_linux_cis::distribution::redhat7::cis_4_2_2_1

4.2.2.1 Ensure syslog-ng service is enabled (Scored)

Description:
Once the syslog-ng package is installed it needs to be activated.

Rationale:
If the syslog-ng service is not activated the system may default to the syslogd service or
lack logging instead.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_2_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_2_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_2_2

4.2.2.2 Ensure logging is configured (Not Scored)

Description:
The /etc/syslog-ng/syslog-ng.conf file specifies rules for logging and which files are to
be used to log certain classes of messages.

Rationale:
A great deal of important security-related information is sent via syslog-ng (e.g., successful
and failed su attempts, failed login attempts, root login attempts, etc.).

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_2_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_2_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

= How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_2_3

4.2.2.3 Ensure syslog-ng default file permissions configured (Scored)

Description:
syslog-ng will create logfiles that do not already exist on the system. This setting controls
what permissions will be applied to these newly created files.

Rationale:
It is important to ensure that log files exist and have the correct permissions to ensure that
sensitive syslog-ng data is archived and protected.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_2_4

4.2.2.4 Ensure syslog-ng is configured to send logs to a remote log host (Not Scored)

Description:
The syslog-ng utility supports the ability to send logs it gathers to a remote log host or to
receive messages from remote hosts, reducing administrative overhead.

Rationale:
Storing log data on a remote host protects log integrity from local attacks. If an attacker
gains root access on the local system, they could tamper with or remove log data that is
stored on the local system

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `logging_host`

Data type: `String`

Which host should logging be sent to

Default value: `undef`

### secure_linux_cis::distribution::redhat7::cis_4_2_2_5

4.2.2.5 Ensure remote syslog-ng messages are only accepted on designated log hosts (Not Scored)

Description:
By default, syslog-ng does not listen for log messages coming in from remote systems.

Rationale:
The guidance in the section ensures that remote log hosts are configured to only accept
syslog-ng data from hosts within the specified domain and that those systems that are not
designed to be log hosts do not accept any remote syslog-ng messages. This provides
protection from spoofed log data and ensures that system administrators are reviewing
reasonably complete syslog data in a central location.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_2_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_2_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

##### `is_logging_host`

Data type: `Boolean`

Is this host a logging host

Default value: `false`

### secure_linux_cis::distribution::redhat7::cis_4_2_3

4.2.3 Ensure rsyslog or syslog-ng is installed (Scored)

Description:
The rsyslog and syslog-ng software are recommended replacements to the original
syslogd daemon which provide improvements over syslogd , such as connection-oriented
(i.e. TCP) transmission of logs, the option to log to database formats, and the encryption of
log data en route to a central logging server.

Rationale:
The security enhancements of rsyslog and syslog-ng such as connection-oriented (i.e.
TCP) transmission of logs, the option to log to database formats, and the encryption of log
data en route to a central logging server) justify installing and configuring the package.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `logging`

Data type: `Enum['rsyslog', 'syslog-ng', 'none']`

How logging is done

Default value: 'rsyslog'

### secure_linux_cis::distribution::redhat7::cis_4_2_4

A description of what this class does

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_4_3

4.3 Ensure logrotate is configured (Not Scored)

Description:
The system includes the capability of rotating log files regularly to avoid filling up the
system with logs or making the logs unmanageable large. The file
/etc/logrotate.d/syslog is the configuration file used to rotate log files created by
syslog or rsyslog.

Rationale:
By keeping the log files smaller and more manageable, a system administrator can easily
archive these files to another system and spend less time looking through inordinately
large log files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_4_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_4_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_1

5.1.1 Ensure cron daemon is enabled (Scored)

Description:
The cron daemon is used to execute batch jobs on the system.

Rationale:
While there may not be user jobs that need to be run on the system,
the system does have maintenance jobs that may include security monitoring that
have to run, and cron is used to execute them.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_2

5.1.2 Ensure permissions on /etc/crontab are configured (Scored)


Description:
The /etc/crontab file is used by cron to control its own jobs. The commands in
this item make sure that root is the user and group owner of the file and that
only the owner can access the file.

Rationale:
This file contains information on what system jobs are run by cron. Write access
to these files could provide unprivileged users with the ability to elevate
their privileges. Read access to these files could provide users with the
ability to gain insight on system jobs that run on the system and could provide
them a way to gain unauthorized privileged access.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_3

5.1.3 Ensure permissions on /etc/cron.hourly are configured (Scored)

Description:
This directory contains system cron jobs that need to run on an hourly basis.
The files in this directory cannot be manipulated by the crontab command, but
are instead edited by system administrators using a text editor. The commands
below restrict read/write and search access to user and group root, preventing
regular users from accessing this directory.

Rationale:
Granting write access to this directory for non-privileged users could provide
them the means for gaining unauthorized elevated privileges. Granting read
access to this directory could give an unprivileged user insight in how to gain
elevated privileges or circumvent auditing controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_4

5.1.4 Ensure permissions on /etc/cron.daily are configured (Scored)

Description:
The /etc/cron.daily directory contains system cron jobs that need to run on a
daily basis. The files in this directory cannot be manipulated by the crontab
command, but are instead edited by system administrators using a text editor.
The commands below restrict read/write and search access to user and group root,
preventing regular users from accessing this directory.

Rationale:
Granting write access to this directory for non-privileged users could provide
them the means for gaining unauthorized elevated privileges. Granting read
access to this directory could give an unprivileged user insight in how to gain
elevated privileges or circumvent auditing controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_5

5.1.5 Ensure permissions on /etc/cron.weekly are configured (Scored)

Description:
The /etc/cron.weekly directory contains system cron jobs that need to run on a
weekly basis. The files in this directory cannot be manipulated by the crontab
command, but are instead edited by system administrators using a text editor.
The commands below restrict read/write and search access to user and group root,
preventing regular users from accessing this directory.

Rationale:
Granting write access to this directory for non-privileged users could provide
them the means for gaining unauthorized elevated privileges. Granting read
access to this directory could give an unprivileged user insight in how to gain
elevated privileges or circumvent auditing controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_6

5.1.6 Ensure permissions on /etc/cron.monthly are configured (Scored)

Description:
The /etc/cron.monthly directory contains system cron jobs that need to run on a
monthly basis. The files in this directory cannot be manipulated by the crontab
command, but are instead edited by system administrators using a text editor.
The commands below restrict read/write and search access to user and group root,
preventing regular users from accessing this directory.

Rationale:
Granting write access to this directory for non-privileged users could provide
them the means for gaining unauthorized elevated privileges. Granting read
access to this directory could give an unprivileged user insight in how to gain
elevated privileges or circumvent auditing controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_7

5.1.7 Ensure permissions on /etc/cron.d are configured (Scored)

Description:
The /etc/cron.d directory contains system cron jobs that need to run in a
similar manner to the hourly, daily weekly and monthly jobs from /etc/crontab ,
but require more granular control as to when they run. The files in this
directory cannot be manipulated by the crontab command, but are instead edited
by system administrators using a text editor. The commands below restrict
read/write and search access to user and group root, preventing regular users
from accessing this directory.

Rationale:
Granting write access to this directory for non-privileged users could provide
them the means for gaining unauthorized elevated privileges. Granting read
access to this directory could give an unprivileged user insight in how to gain
elevated privileges or circumvent auditing controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_1_8

5.1.8 Ensure at/cron is restricted to authorized users (Scored)

Description:
Configure /etc/cron.allow and /etc/at.allow to allow specific users to use these
services. If /etc/cron.allow or /etc/at.allow do not exist, then /etc/at.deny
and /etc/cron.deny are checked. Any user not specifically defined in those files
is allowed to use at and cron. By removing the files, only users in
/etc/cron.allow and /etc/at.allow are allowed to use at and cron. Note that even
though a given user is not listed in cron.allow , cron jobs can still be run as
that user. The cron.allow file only controls administrative access to the
crontab command for scheduling and modifying cron jobs.

Rationale:
On many systems, only the system administrator is authorized to schedule cron
jobs. Using the cron.allow file to control who can run cron jobs enforces this
policy. It is easier to manage an allow list than a deny list. In a deny list,
you could potentially add a user ID to the system and forget to add it to the
deny files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_1_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_1_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_1

5.2.1 Ensure permissions on /etc/ssh/sshd_config are configured (Scored)

Description:
The /etc/ssh/sshd_config file contains configuration specifications for sshd.
The command below sets the owner and group of the file to root.

Rationale:
The /etc/ssh/sshd_config file needs to be protected from unauthorized changes
by non-privileged users.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_10

5.2.10 Ensure SSH PermitUserEnvironment is disabled (Scored)

Description:
The PermitUserEnvironment option allows users to present environment options to the ssh daemon.

Rationale:
Permitting users the ability to set environment variables through the SSH daemon could potentially allow users to bypass security
controls (e.g. setting an execution path that has ssh executing trojan'd programs)

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_11

A description of what this class does

Description:


Rationale:

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_11
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_11` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `approved_mac_algorithms`

Data type: `Array`

Which algorigthms are approved for use

Default value: ['hmac-sha2-512-etm@openssh.com','hmac-sha2-256-etm@openssh.com','umac-128-etm@openssh.com',
  'hmac-sha2-512','hmac-sha2-256','umac-128@openssh.com']

### secure_linux_cis::distribution::redhat7::cis_5_2_12

5.2.12 Ensure SSH Idle Timeout Interval is configured (Scored)

Description:
The two options ClientAliveInterval and ClientAliveCountMax control the timeout of ssh sessions. When the ClientAliveInterval variable is
set, ssh sessions that have no activity for the specified length of time are terminated. When the ClientAliveCountMax variable is set,
sshd will send client alive messages at every ClientAliveInterval interval. When the number of consecutive client alive messages are sent
with no response from the client, the ssh session is terminated. For example, if the ClientAliveInterval is set to 15 seconds and the
ClientAliveCountMax is set to 3, the client ssh session will be terminated after 45 seconds of idle time.

Rationale:
Having no timeout value associated with a connection could allow an unauthorized user access to another user's ssh session (e.g. user
walks away from their computer and doesn't lock the screen). Setting a timeout value at least reduces the risk of this happening..

While the recommended setting is 300 seconds (5 minutes), set this timeout value based on site policy. The recommended setting for
ClientAliveCountMax is 0. In this case, the client session will be terminated after 5 minutes of idle time and no keepalive messages will
be sent.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_12
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_12` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `client_alive_interval`

Data type: `Integer`

Client alive interval to use

Default value: 300

##### `client_alive_count_max`

Data type: `Enum['0','1','2','3']`

Maximum specificed client alive count

Default value: '0'

### secure_linux_cis::distribution::redhat7::cis_5_2_13

5.2.13 Ensure SSH LoginGraceTime is set to one minute or less (Scored)

Description:
The LoginGraceTime parameter specifies the time allowed for successful authentication to the SSH server. The longer the Grace period is
the more open unauthenticated connections can exist. Like other session controls in this session the Grace Period should be limited to
appropriate organizational limits to ensure the service is available for needed access.

Rationale:
Setting the LoginGraceTime parameter to a low number will minimize the risk of successful brute force attacks to the SSH server. It will
also limit the number of concurrent unauthenticated connections While the recommended setting is 60 seconds (1 Minute), set the number
based on site policy.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_13
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_13` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `login_grace_time`

Data type: `Integer`

Login grace time

Default value: 60

### secure_linux_cis::distribution::redhat7::cis_5_2_14

5.2.14 Ensure SSH access is limited (Scored)

Description:
There are several options available to limit which users and group can access the system via SSH. It is recommended that at least one of
the following options be leveraged:

AllowUsers
The AllowUsers variable gives the system administrator the option of allowing specific users to ssh into the system. The list consists of
space separated user names. Numeric user IDs are not recognized with this variable. If a system administrator wants to restrict user
access further by only allowing the allowed users to log in from a particular host, the entry can be specified in the form of user@host.

AllowGroups
The AllowGroups variable gives the system administrator the option of allowing specific groups of users to ssh into the system. The list
consists of space separated group names. Numeric group IDs are not recognized with this variable.

DenyUsers
The DenyUsers variable gives the system administrator the option of denying specific users to ssh into the system. The list consists of
space separated user names. Numeric user IDs are not recognized with this variable. If a system administrator wants to restrict user
access further by specifically denying a user's access from a particular host, the entry can be specified in the form of user@host.

DenyGroups
The DenyGroups variable gives the system administrator the option of denying specific groups of users to ssh into the system. The list
consists of space separated group names. Numeric group IDs are not recognized with this variable.

Rationale:
Restricting which users can remotely access the system via SSH will help ensure that only authorized users access the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_14
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_14` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `allow_users`

Data type: `Array[String]`

Which users to allow

Default value: []

##### `allow_groups`

Data type: `Array[String]`

Which groups to allow

Default value: []

##### `deny_users`

Data type: `Array[String]`

Which users to deny

Default value: []

##### `deny_groups`

Data type: `Array[String]`

Which groups to deny

Default value: []

### secure_linux_cis::distribution::redhat7::cis_5_2_15

5.2.15 Ensure SSH warning banner is configured (Scored)

Description:
The Banner parameter specifies a file whose contents must be sent to the remote user before authentication is permitted. By default, no
banner is displayed.

Rationale:
Banners are used to warn connecting users of the particular site's policy regarding connection. Presenting a warning message prior to the
normal user login may assist the prosecution of trespassers on the computer system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_15
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_15` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_2

5.2.2 Ensure SSH Protocol is set to 2 (Scored)

Description:
SSH supports two different and incompatible protocols: SSH1 and SSH2. SSH1 was
the original protocol and was subject to security issues. SSH2 is more advanced
and secure.

Rationale:
SSH v1 suffers from insecurities that do not affect SSH v2.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_3

5.2.3 Ensure SSH LogLevel is set to INFO (Scored)

Description:
The INFO parameter specifies that login and logout activity will be logged.

Rationale:
SSH provides several logging levels with varying amounts of verbosity. DEBUG is
specifically not recommended other than strictly for debugging SSH
communications since it provides so much data that it is difficult to identify
important security information. INFO level is the basic level that only records
login activity of SSH users. In many situations, such as Incident Response, it
is important to determine when a particular user was active on a system. The
logout record can eliminate those users who disconnected, which helps narrow
the field.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_4

5.2.4 Ensure SSH X11 forwarding is disabled (Scored)

Description:
The X11Forwarding parameter provides the ability to tunnel X11 traffic through
the connection to enable remote graphic connections.

Rationale:
Disable X11 forwarding unless there is an operational requirement to use X11
applications directly. There is a small risk that the remote X11 servers of
users who are logged in via SSH with X11 forwarding could be compromised by
other users on the X11 server. Note that even if X11 forwarding is disabled,
users can always install their own forwarders.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_5

5.2.5 Ensure SSH MaxAuthTries is set to 4 or less (Scored)

Description:
The MaxAuthTries parameter specifies the maximum number of authentication attempts permitted per connection. When the login failure count
reaches half the number, error messages will be written to the syslog file detailing the login failure.

Rationale:
Setting the MaxAuthTries parameter to a low number will minimize the risk of successful brute force attacks to the SSH server. While the
recommended setting is 4, set the number based on site policy.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `max_auth_tries`

Data type: `Enum['1', '2', '3', '4']`

How many authorization attempts to allow

Default value: '4'

### secure_linux_cis::distribution::redhat7::cis_5_2_6

5.2.6 Ensure SSH IgnoreRhosts is enabled (Scored)

Description:
The IgnoreRhosts parameter specifies that .rhosts and .shosts files will not be used in RhostsRSAAuthentication or
HostbasedAuthentication.

Rationale:
Setting this parameter forces users to enter a password when authenticating with ssh.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_7

5.2.7 Ensure SSH HostbasedAuthentication is disabled (Scored)

Description:
The HostbasedAuthentication parameter specifies if authentication is allowed through trusted hosts via the user of .rhosts , or
/etc/hosts.equiv , along with successful public key client host authentication. This option only applies to SSH Protocol Version 2.

Rationale:
Even though the .rhosts files are ineffective if support is disabled in /etc/pam.conf , disabling the ability to use .rhosts files in SSH
provides an additional layer of protection .

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_8

5.2.8 Ensure SSH root login is disabled (Scored)

Description:
The PermitRootLogin parameter specifies if the root user can log in using ssh(1). The default is no.

Rationale:
Disallowing root logins over SSH requires system admins to authenticate using their own individual account, then escalating to root via
sudo or su . This in turn limits opportunity for non-repudiation and provides a clear audit trail in the event of a security incident

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_2_9

5.2.9 Ensure SSH PermitEmptyPasswords is disabled (Scored)

Description:
The PermitEmptyPasswords parameter specifies if the SSH server allows login to accounts with empty password strings.

Rationale:
Disallowing remote shell access to accounts that have an empty password reduces the probability of unauthorized access to the system

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_2_9
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_2_9` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_3_1

5.3.1 Ensure password creation requirements are configured (Scored)

Description:
The pam_pwquality.so module checks the strength of passwords. It performs checks such as making sure a password is not a dictionary word,
it is a certain length, contains a mix of characters (e.g. alphabet, numeric, other) and more. The following are definitions of the
pam_pwquality .so options.

  try_first_pass - retrieve the password from a previous stacked PAM module. If not available, then prompt the user for a password.
  retry=3 - Allow 3 tries before sending back a failure.

The following options are set in the /etc/security/pwquality.conf file:
  minlen = 14 - password must be 14 characters or more
  dcredit = -1 - provide at least one digit
  ucredit = -1 - provide at least one uppercase character
  ocredit = -1 - provide at least one special character
  lcredit = -1 - provide at least one lowercase character

The settings shown above are one possible policy. Alter these values to conform to your own organization's password policies.

Rationale:
Strong passwords protect systems from being hacked through brute force methods.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_3_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_3_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `minlen`

Data type: `Integer`

Minimum length

Default value: 14

##### `dcredit`

Data type: `Integer`

D Credit

Default value: -

##### `ucredit`

Data type: `Integer`

U Credit

Default value: -

##### `ocredit`

Data type: `Integer`

O Credit

Default value: -

##### `lcredit`

Data type: `Integer`

L Credit

Default value: -

### secure_linux_cis::distribution::redhat7::cis_5_3_2

5.3.2 Ensure lockout for failed password attempts is configured (Scored)

Description:
Lock out users after n unsuccessful consecutive login attempts. The first sets of changes are made to the PAM configuration files. The
second set of changes are applied to the program specific PAM configuration file. The second set of changes must be applied to each
program that will lock out users. Check the documentation for each secondary program for instructions on how to configure them to work
with PAM.

Set the lockout number to the policy in effect at your site.

Rationale:
Locking out user IDs after n unsuccessful consecutive login attempts mitigates brute force password attacks against your systems.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_3_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_3_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `attempts`

Data type: `Integer`

Number of attempts

Default value: 5

##### `lockout_time`

Data type: `Integer`

Amount of time for lockout

Default value: 900

### secure_linux_cis::distribution::redhat7::cis_5_3_3

5.3.3 Ensure password reuse is limited (Scored)

Description:
The /etc/security/opasswd file stores the users' old passwords and can be checked to ensure that users are not recycling recent passwords.

Rationale:
Forcing users not to reuse their past 5 passwords make it less likely that an attacker will be able to guess the password.

Note that these change only apply to accounts configured on the local system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_3_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_3_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `past_passwords`

Data type: `Integer`

Number of previous passwords

Default value: 5

### secure_linux_cis::distribution::redhat7::cis_5_3_4

A description of what this class does

Description:


Rationale:

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_3_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_3_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_4_1_1

5.4.1.1 Ensure password expiration is 365 days or less (Scored)

Description:
The PASS_MAX_DAYS parameter in /etc/login.defs allows an administrator to force passwords to expire once they reach a defined age. It is
recommended that the PASS_MAX_DAYS parameter be set to less than or equal to 365 days.

Rationale:
The window of opportunity for an attacker to leverage compromised credentials or successfully compromise credentials via an online brute
force attack is limited by the age of the password. Therefore, reducing the maximum age of a password also reduces an attacker's window
of opportunity.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_1_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_1_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `pass_max_days`

Data type: `Integer`

Password max days

Default value: 90

### secure_linux_cis::distribution::redhat7::cis_5_4_1_2

5.4.1.2 Ensure minimum days between password changes is 7 or more (Scored)

Description:
The PASS_MIN_DAYS parameter in /etc/login.defs allows an administrator to prevent users from changing their password until a minimum
number of days have passed since the last time the user changed their password. It is recommended that PASS_MIN_DAYS parameter be set to
7 or more days.

Rationale:
By restricting the frequency of password changes, an administrator can prevent users from repeatedly changing their password in an
attempt to circumvent password reuse controls.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `pass_min_days`

Data type: `Integer`

Password minimum days

Default value: 7

### secure_linux_cis::distribution::redhat7::cis_5_4_1_3

5.4.1.3 Ensure password expiration warning days is 7 or more (Scored)

Description:
The PASS_WARN_AGE parameter in /etc/login.defs allows an administrator to notify users that their password will expire in a defined
number of days. It is recommended that the PASS_WARN_AGE parameter be set to 7 or more days.

Rationale:
Providing an advance warning that a password will be expiring gives users time to think of a secure password. Users caught unaware may
choose a simple password or write it down where it may be discovered.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `pass_warn_days`

Data type: `Integer`

Password warning days

Default value: 7

### secure_linux_cis::distribution::redhat7::cis_5_4_1_4

5.4.1.4 Ensure inactive password lock is 30 days or less (Scored)

Description:
User accounts that have been inactive for over a given period of time can be automatically disabled. It is recommended that accounts that
are inactive for 30 days after password expiration be disabled.

Rationale:
Inactive accounts pose a threat to system security since the users are not logging in to notice failed login attempts or other anomalies.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

##### `pass_inactive_days`

Data type: `Integer`

Password inactive days

Default value: 30

### secure_linux_cis::distribution::redhat7::cis_5_4_1_5

5.4.1.5 Ensure all users last password change date is in the past (Scored)

Description:
All users should have a password change date in the past.

Rationale:
If a users recorded password change date is in the future then they could bypass any set password expiration.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_4_2

5.4.2 Ensure system accounts are non-login (Scored)


Description:
There are a number of accounts provided with Red Hat 7 that are used to manage applications and are not intended to provide
an interactive shell.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_4_3

5.4.3 Ensure default group for the root account is GID 0 (Scored)


Description:
The usermod command can be used to specify which group the root user belongs to. This affects permissions
 of files that are created by the root user.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_4_4

5.4.4 Ensure default user umask is 027 or more restrictive (Scored)


Description:
The default umask determines the permissions of files created by users. The user creating the file has the discretion of making
their files and directories readable by others via the chmod command. Users who wish to allow their files and directories to be
readable by others by default may choose a different default umask by inserting the umask command into the standard shell
configuration files ( .profile , .bashrc , etc.) in their home directories.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_4_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_4_5

The TMOUT parameter has been added in 5_4_4

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_4_5` class.

##### `enforced`

Data type: `Boolean`



Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_5_6

5.6 Ensure access to the su command is restricted (Scored)


Description:
The su command allows a user to run a command or shell as another user. The program has been superseded by sudo , which allows for more
granular control over privileged access. Normally, the su command can be executed by any user. By uncommenting the pam_wheel.so
statement in /etc/pam.d/su , the su command will only allow users in the wheel group to execute su .

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_5_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_5_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_10

6.1.10 Ensure no world writable files exist (Scored)

Description:
Unix-based systems support variable settings to control access to files. World writable files are the least secure. See the chmod(2)
man page for more information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_11

6.1.11 Ensure no unowned files or directories exist (Scored)

Description:
Sometimes when administrators delete users from the password file they neglect to remove all files owned by those users from the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_11
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_11` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_12

6.1.12 Ensure no ungrouped files or directories exist (Scored)

Description:
Sometimes when administrators delete users or groups from the system they neglect to remove all files owned by those users or groups.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_12
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_12` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_2

6.1.2 Ensure permissions on /etc/passwd are configured (Scored)

Description:
The /etc/passwd file contains user account information that is used by many system utilities and therefore must be readable for these
utilities to operate.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_3

6.1.3 Ensure permissions on /etc/shadow are configured (Scored)

Description:
The /etc/shadow file is used to store the information about user accounts that is critical to the
security of those accounts, such as the hashed password and other security information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_4

6.1.4 Ensure permissions on /etc/group are configured (Scored)

Description:
The /etc/group file contains a list of all the valid groups defined in the system. The command below
allows read/write access for root and read access for everyone else.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_5

6.1.5 Ensure permissions on /etc/gshadow are configured (Scored)

Description:
The /etc/gshadow file is used to store the information about groups that is critical to the security of those accounts,
such as the hashed password and other security information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_6

6.1.6 Ensure permissions on /etc/passwd- are configured (Scored)

Description:
The /etc/passwd- file contains backup user account information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_7

6.1.7 Ensure permissions on /etc/shadow- are configured (Scored)

Description:
The /etc/shadow- file is used to store backup information about user accounts that is critical to the security
of those accounts, such as the hashed password and other security information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_8

6.1.8 Ensure permissions on /etc/group- are configured (Scored)

Description:
The /etc/group- file contains a backup list of all the valid groups defined in the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_1_9

6.1.9 Ensure permissions on /etc/gshadow- are configured (Scored)

Description:
The /etc/gshadow- file is used to store backup information about groups that is critical to the security
of those accounts, such as the hashed password and other security information.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_1_9
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_1_9` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_1

6.2.1 Ensure password fields are not empty (Scored)


Description:
An account with an empty password field means that anybody may log in as that user without providing a password.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_1
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_1` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_10

6.2.10 Ensure users' dot files are not group or world writable (Scored)


Description:
While the system administrator can establish secure permissions for users' "dot" files, the users can easily override these.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_10
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_10` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_11

6.2.11 Ensure no users have .forward files (Scored)


Description:
The .forward file specifies an email address to forward the user's mail to.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_11
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_11` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_12

6.2.12 Ensure no users have .netrc files (Scored)


Description:
The .netrc file contains data for logging into a remote host for file transfers via FTP.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_12
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_12` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_13

6.2.13 Ensure users' .netrc Files are not group or world accessible


Description:
While the system administrator can establish secure permissions for users' .netrc files, the users can easily override these.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_13
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_13` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_14

6.2.14 Ensure no users have .rhosts files (Scored)


Description:
While no .rhosts files are shipped by default, users can easily create them.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_14
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_14` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_15

6.2.15 Ensure all groups in /etc/passwd exist in /etc/group (Scored)


Description:
Over time, system administration errors and changes can lead to groups being defined in /etc/passwd but not in /etc/group

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_15
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_15` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_16

6.2.16 Ensure no duplicate UIDs exist (Scored)


Description:
Although the useradd program will not let you create a duplicate User ID (UID),
it is possible for an administrator to manually edit the /etc/passwd file and change the UID field.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_16
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_16` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_17

6.2.17 Ensure no duplicate GIDs exist (Scored)


Description:
Although the groupadd program will not let you create a duplicate Group ID (GID), it is possible for an administrator
to manually edit the /etc/group file and change the GID field.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_17
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_17` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_18

6.2.18 Ensure no duplicate user names exist (Scored)


Description:
Although the useradd program will not let you create a duplicate user name, it is possible for an administrator to manually
edit the /etc/passwd file and change the user name.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_18
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_18` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_19

6.2.19 Ensure no duplicate group names exist (Scored)


Description:
Although the groupadd program will not let you create a duplicate group name, it is possible for an administrator to manually edit
the /etc/group file and change the group name.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_19
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_19` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_2

6.2.2 Ensure no legacy "+" entries exist in /etc/passwd (Scored)


Description:
The character + in various files used to be markers for systems to insert data from NIS maps at a certain point in a
system configuration file. These entries are no longer required on most systems, but may exist in files that have been imported
from other platforms.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_2
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_2` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_3

6.2.3 Ensure no legacy "+" entries exist in /etc/shadow (Scored)


Description:
The character + in various files used to be markers for systems to insert data from NIS maps at a certain point
in a system configuration file. These entries are no longer required on most systems, but may exist in files that have been imported
from other platforms.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_3
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_3` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_4

6.2.4 Ensure no legacy "+" entries exist in /etc/group (Scored)


Description:
The character + in various files used to be markers for systems to insert data from NIS maps at a certain point in a system configuration
file. These entries are no longer required on most systems, but may exist in files that have been imported from other platforms.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_4
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_4` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_5

6.2.5 Ensure root is the only UID 0 account (Scored)


Description:
Any account with UID 0 has superuser privileges on the system.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_5
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_5` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_6

6.2.6 Ensure root PATH Integrity (Scored)

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_6
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_6` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_7

6.2.7 Ensure all users' home directories exist (Scored)


Description:
Users can be defined in /etc/passwd without a home directory or with a home directory that does not actually exist.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_7
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_7` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_8

6.2.8 Ensure users' home directories permissions are 750 or more restrictive (Scored)


Description:
While the system administrator can establish secure permissions for users' home directories, the users can easily override these.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_8
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_8` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

### secure_linux_cis::distribution::redhat7::cis_6_2_9

6.2.9 Ensure users own their home directories (Scored)


Description:
The user home directory is space defined for the particular user to set local environment variables and to store personal files.

#### Examples

##### 

```puppet
include secure_linux_cis::distribution::redhat7::cis_6_2_9
```

#### Parameters

The following parameters are available in the `secure_linux_cis::distribution::redhat7::cis_6_2_9` class.

##### `enforced`

Data type: `Boolean`

Should this rule be enforced

Default value: `true`

## Defined types

### secure_linux_cis::mount_options

Check and fix a mount with a single option

#### Examples

##### 

```puppet
secure_linux_cis::mount_options { 'namevar':
  mount => $mountpoint,
  opt   => $option,
}
```

#### Parameters

The following parameters are available in the `secure_linux_cis::mount_options` defined type.

##### `mount`

Data type: `String`

The mount point we have to check

Default value: '/root'

##### `opt`

Data type: `String`

The options to check that mount for

Default value: 'rw'

